#ifndef _MODBUS_MSXE360X_CLIENT_DEFINITION_H_
#define _MODBUS_MSXE360X_CLIENT_DEFINITION_H_

/* this file has been generated by gModbus on Fri Oct 23 18:06:44 2020*/

#include "common_modbus_clientlib.h"



/* Symbolic names for register */
enum {
MSXE360X__ANALOGINPUTGETSEQUENCESTATUS=100,
MSXE360X__ANALOGINPUTGETSEQUENCESTATUSEX=1000,
MSXE360X__ANALOGINPUTGETSEQUENCECONFIGURATION=101,
MSXE360X__ANALOGINPUTGETSEQUENCECONFIGURATIONEX=1050,
};

#ifdef WIN32
#pragma pack(1)
#endif // WIN32

struct MSXE360X__AnalogInputGetSequenceStatus_parameters_t
{
	uint32_t pulStatus;
 } __PACKED;

struct MSXE360X__AnalogInputGetSequenceStatusEx_parameters_t
{
	uint32_t pulStatus;
 } __PACKED;

struct MSXE360X__AnalogInputGetSequenceConfiguration_parameters_t
{
	uint32_t ulChannelMask;
	uint32_t ulNbrOfSequence;
	uint32_t ulNbrMaxSequenceToTransfer;
	float dFrequencySelection;
	uint32_t pulGainArray[8];
	uint32_t ulICPMask;
	uint32_t ulTriggerMask;
	uint32_t ulTriggerMode;
	uint32_t ulHardwareTriggerEdge;
	uint32_t ulHardwareTriggerCount;
	uint32_t ulByTriggerNbrOfSeqToAcquire;
	uint32_t ulDataFormat;
	uint32_t ulCouplingSelectionMask;
	uint32_t ulSeDiffSelectionMask;
 } __PACKED;

struct MSXE360X__AnalogInputGetSequenceConfigurationEx_parameters_t
{
	uint32_t ulChannelMask;
	uint32_t ulNbrOfSequence;
	uint32_t ulNbrMaxSequenceToTransfer;
	float dFrequencySelection;
	uint32_t pulGainArray[8];
	uint32_t ulICPMask;
	uint32_t ulTriggerMask;
	uint32_t ulTriggerMode;
	uint32_t ulHardwareTriggerEdge;
	uint32_t ulHardwareTriggerCount;
	uint32_t ulByTriggerNbrOfSeqToAcquire;
	uint32_t ulDataFormat;
	uint32_t ulCouplingSelectionMask;
	uint32_t ulSeDiffSelectionMask;
 } __PACKED;

#ifdef WIN32
#pragma pack()
#endif // WIN32



/** <p>Returns the sequence status.</p>
*
* <p><b>Parameters:</b></p>
* <ul>
* 	<li>@param[in] <b><VAR>_</VAR></b>: No input parameters
*	<li>@param[out] <b><VAR>ReturnValue:<VAR></b> The return value of the remote function.
*		<ul>
*			<li>    0: means the remote function performed OK. \n
*			<li>   -1: Means an system error occured. \n
*			<li>   -2: PLD is not working. \n
*			<li>   -3: Error, system is in calibration. \n
*			<li>   -4: Driver status is wrong. \n
*			<li> -100: Internal system error occurs. See value of syserrno. \n
*		</ul>
*	<li>@param[out] <b><VAR>pulStatus:<VAR></b> Sequence status
*		<ul>
*			<li>0: Disabled
*			<li>1: Enabled (in progress)
*			<li>2: End of the sequence
*			<li>3: Enabled, waiting for trigger
*			<li>4: PLD overflow
*			<li>5: Internal FIFO overflow
* </ul>
*
* <p><b>Returns:</b></p>
* <ul>
* 	@return <b>Possible return value on the remote system (read them with GetLastCommandStatus):</b>
* 	<ul>
*		<li><b> <VAR>syserrno :</VAR> </b> system-error code (the value of the libc "errno" code) EPERM means a sequence acquisition was not started
*	</ul>
* </ul>
*/
			


/* @return 0 on success, -1 on system error, -2 on modbus exception, -3 if the received answer is incorrect */
int modbus_call_MSXE360X__AnalogInputGetSequenceStatus(struct modbus * modbus,struct MSXE360X__AnalogInputGetSequenceStatus_parameters_t * Response);



/** <p>Returns the sequence status.</p>
*
* <p><b>Parameters:</b></p>
* <ul>
* 	<li>@param[in] <b><VAR>_</VAR></b>: No input parameters
*	<li>@param[out] <b><VAR>ReturnValue:<VAR></b> The return value of the remote function.
*		<ul>
*			<li>    0: means the remote function performed OK. \n
*			<li>   -1: Means an system error occured. \n
*			<li>   -2: PLD is not working. \n
*			<li>   -3: Error, system is in calibration. \n
*			<li>   -4: Driver status is wrong. \n
*			<li> -100: Internal system error occurs. See value of syserrno. \n
*		</ul>
*	<li>@param[out] <b><VAR>pulStatus:<VAR></b> Sequence status
*		<ul>
*			<li>0: Disabled
*			<li>1: Enabled (in progress)
*			<li>2: End of the sequence
*			<li>3: Enabled, waiting for trigger
*			<li>4: PLD overflow
*			<li>5: Internal FIFO overflow
* </ul>
*
* <p><b>Returns:</b></p>
* <ul>
* 	@return <b>Possible return value on the remote system (read them with GetLastCommandStatus):</b>
* 	<ul>
*		<li><b> <VAR>syserrno :</VAR> </b> system-error code (the value of the libc "errno" code) EPERM means a sequence acquisition was not started
*	</ul>
* </ul>
*/
			


/* @return 0 on success, -1 on system error, -2 on modbus exception, -3 if the received answer is incorrect */
int modbus_call_MSXE360X__AnalogInputGetSequenceStatusEx(struct modbus * modbus,struct MSXE360X__AnalogInputGetSequenceStatusEx_parameters_t * Response);



/** <p>Returns the sequence configuration.</p>
*
* <p><b>Parameters:</b></p>
* <ul>
* 	<li>@param[in] <b><VAR>_</VAR></b>: No input parameters
*	<li>@param[out] <b><VAR>ReturnValue:<VAR></b> The return value of the remote function.
*		<ul>
*			<li>    0: means the remote function performed OK. \n
*			<li>   -1: Means an system error occured. \n
*			<li>   -2: PLD is not working. \n
*			<li>   -3: Error, system is in calibration. \n
*			<li>   -4: Driver status is wrong. \n
*			<li> -100: Internal system error occurs. See value of syserrno. \n
*		</ul>
*	<li>@param[out] <b><VAR>ulChannelMask</VAR></b>:
*		<p>8 bits mask (0->0xFF) which defines channels used for the acquisition (each bit corresponds to one channel) \n
*		<ul>
*			<li>0: not used
*			<li>1: used
*		</ul></p>
*	<li>@param[out] <b><VAR>ulNbrOfSequence</VAR></b>:
*		<p>Number of sequence to acquire \n
*		<ul>
*			<li> 0: Continuous mode
*			<li>>0: Number of sequences (1 -> 4294967295 (0xFFFFFFFF))
*		</ul></p>
*	<li>@param[out] <b><VAR>ulNbrMaxSequenceToTransfer</VAR></b>: Not used, must be 0
*	<li>@param[out] <b><VAR>dFrequencySelection</VAR></b>: Select the frequency of the acquisition:
*		<ul>
*			<li>1000.00 Hz
*			<li>1280.00 Hz
*			<li>1562.50 Hz
*			<li>1600.00 Hz
*			<li>1666.67 Hz
*			<li>12000.00 Hz
*			<li>12500.00 Hz
*			<li>13125.00 Hz
*			<li>13200.00 Hz
*			<li>13333.33 Hz
*			<li>14000.00 Hz
*			<li>15000.00 Hz
*			<li>16250.00 Hz
*			<li>16400.00 Hz
*			<li>16666.67 Hz
*			<li>18000.00 Hz
*			<li>110000.00 Hz
*			<li>112500.00 Hz
*			<li>112800.00 Hz
*			<li>113333.33 Hz
*			<li>116000.00 Hz
*			<li>116666.67 Hz
*			<li>120000.00 Hz
*			<li>125000.00 Hz
*			<li>132000.00 Hz
*			<li>133333.33 Hz
*			<li>140000.00 Hz
*			<li>150000.00 Hz
*			<li>164000.00 Hz
*			<li>166666.67 Hz
*			<li>180000.00 Hz
*			<li>1100000.00 Hz
*			<li>1128000.00 Hz
*		</ul>
*	<li>@param[out] <b><VAR>pulGainArray</VAR></b>:
*		<p>Define the gain (1, 10 or 100) to use for each channel.\n
*		Each index of the array corresponds to the corresponding channel. \n
*		Example:
*		<ul>
*			<li>[0]: Define the gain for the channel 0
*			<li>[1]: Define the gain for the channel 1
*			<li>...
*		</ul></p>
*	<li>@param[out] <b><VAR>ulICPMask</VAR></b>:
*		<p>8 bits mask (0 -> 0xFF) which defines if the ICP is activated or not (each bit correspond to one channel).\n
*		When the ICP is activated, the chanel must be configured with AC and SE.
*		<ul>
*			<li>0: Not activated
*			<li>1: Activated
*		</ul></p>
*	<li>@param[out] <b><VAR>ulTriggerMask</VAR></b>: Define the source of the trigger
*		<ul>
*			<li>0: Trigger disabled
*			<li>1: Enable Hardware Digital Input Trigger
*			<li>2: Enable Synchro Trigger
*			<li>3: Enable both Hardware and Synchro Trigger
*		</ul>
*	<li>@param[out] <b><VAR>ulTriggerMode</VAR></b>: Not used, must be 0
*	<li>@param[out] <b><VAR></VAR>ulHardwareTriggerEdge</b>: Defines the edge of the trigger
*		<ul>
*			<li>1: Hardware Trigger Rising Edge
*			<li>2: Hardware Trigger Falling Edge
*			<li>3: Enable both rising edge and falling edge
*		</ul>
*	<li>@param[out] <b><VAR>ulHardwareTriggerCount</VAR></b>: Defines the number of external trigger ignored before taking account (1 -> 65535)
*	<li>@param[out] <b><VAR>ulByTriggerNbrOfSeqToAcquire</VAR></b>: Not used, must be 0
*	<li>@param[out] <b><VAR>ulDataFormat</VAR></b>: Dataformat of the frame, see remarks and examples for more information:
*		<ul>
*			<li>D0: Absolute time stamp information (2*32 bits data)
*			<ul>
*				<li>0: No time stamp information
*				<li>1: Time stamp information
*			</ul>
*			<li>D1: Not used, must be 0
*			<li>D2: Sequence counter (32 bits data)
*			<ul>
*				<li>0: No sequence counter information required
*				<li>1: Sequence counter information required
*			</ul>
*			<li>D3: Hardware Trigger information (32 bits data)
*			<ul>
*				<li>0: No Hardware Trigger information required
*				<li>1: Hardware Trigger information required
*			</ul>
*		</ul>
*	<li>@param[out] <b><VAR>ulCouplingSelectionMask</VAR></b>: 8 bits mask (0 -> 0xFF) which defines the coupling for each channel (each bit corresponds to one channel)
*		<ul>
*			<li>0: AC
*			<li>1: DC
*		</ul>
*	<li>@param[out] <b><VAR>ulSeDiffSelectionMask</VAR></b>: 8 bits mask (0 -> 0xFF) which defines SE/DIFF mode for each channel (each bit corresponds to one channel)
*		<ul>
*			<li>0: SE
*			<li>1: DIFF
*		</ul>
* </ul>
*
* <p><b>Returns:</b></p>
* <ul>
* 	@return <b>Possible return value on the remote system (read them with GetLastCommandStatus):</b>
* 	<ul>
*		<li><b> <VAR>syserrno :</VAR> </b> system-error code (the value of the libc "errno" code) EPERM means a sequence acquisition was not started
*	</ul>
* </ul>
*/
			


/* @return 0 on success, -1 on system error, -2 on modbus exception, -3 if the received answer is incorrect */
int modbus_call_MSXE360X__AnalogInputGetSequenceConfiguration(struct modbus * modbus,struct MSXE360X__AnalogInputGetSequenceConfiguration_parameters_t * Response);



/** <p>Returns the sequence configuration.</p>
*
* <p><b>Parameters:</b></p>
* <ul>
* 	<li>@param[in] <b><VAR>_</VAR></b>: No input parameters
*	<li>@param[out] <b><VAR>ReturnValue:<VAR></b> The return value of the remote function.
*		<ul>
*			<li>    0: means the remote function performed OK. \n
*			<li>   -1: Means an system error occured. \n
*			<li>   -2: PLD is not working. \n
*			<li>   -3: Error, system is in calibration. \n
*			<li>   -4: Driver status is wrong. \n
*			<li> -100: Internal system error occurs. See value of syserrno. \n
*		</ul>
*	<li>@param[out] <b><VAR>ulChannelMask</VAR></b>:
*		<p>8 bits mask (0->0xFF) which defines channels used for the acquisition (each bit corresponds to one channel) \n
*		<ul>
*			<li>0: not used
*			<li>1: used
*		</ul></p>
*	<li>@param[out] <b><VAR>ulNbrOfSequence</VAR></b>:
*		<p>Number of sequence to acquire \n
*		<ul>
*			<li> 0: Continuous mode
*			<li>>0: Number of sequences (1 -> 4294967295 (0xFFFFFFFF))
*		</ul></p>
*	<li>@param[out] <b><VAR>ulNbrMaxSequenceToTransfer</VAR></b>: Not used, must be 0
*	<li>@param[out] <b><VAR>dFrequencySelection</VAR></b>: Select the frequency of the acquisition:
*		<ul>
*			<li>1000.00 Hz
*			<li>1280.00 Hz
*			<li>1562.50 Hz
*			<li>1600.00 Hz
*			<li>1666.67 Hz
*			<li>12000.00 Hz
*			<li>12500.00 Hz
*			<li>13125.00 Hz
*			<li>13200.00 Hz
*			<li>13333.33 Hz
*			<li>14000.00 Hz
*			<li>15000.00 Hz
*			<li>16250.00 Hz
*			<li>16400.00 Hz
*			<li>16666.67 Hz
*			<li>18000.00 Hz
*			<li>110000.00 Hz
*			<li>112500.00 Hz
*			<li>112800.00 Hz
*			<li>113333.33 Hz
*			<li>116000.00 Hz
*			<li>116666.67 Hz
*			<li>120000.00 Hz
*			<li>125000.00 Hz
*			<li>132000.00 Hz
*			<li>133333.33 Hz
*			<li>140000.00 Hz
*			<li>150000.00 Hz
*			<li>164000.00 Hz
*			<li>166666.67 Hz
*			<li>180000.00 Hz
*			<li>1100000.00 Hz
*			<li>1128000.00 Hz
*		</ul>
*	<li>@param[out] <b><VAR>pulGainArray</VAR></b>:
*		<p>Define the gain (1, 10 or 100) to use for each channel.\n
*		Each index of the array corresponds to the corresponding channel. \n
*		Example:
*		<ul>
*			<li>[0]: Define the gain for the channel 0
*			<li>[1]: Define the gain for the channel 1
*			<li>...
*		</ul></p>
*	<li>@param[out] <b><VAR>ulICPMask</VAR></b>:
*		<p>8 bits mask (0 -> 0xFF) which defines if the ICP is activated or not (each bit correspond to one channel).\n
*		When the ICP is activated, the chanel must be configured with AC and SE.
*		<ul>
*			<li>0: Not activated
*			<li>1: Activated
*		</ul></p>
*	<li>@param[out] <b><VAR>ulTriggerMask</VAR></b>: Define the source of the trigger
*		<ul>
*			<li>0: Trigger disabled
*			<li>1: Enable Hardware Digital Input Trigger
*			<li>2: Enable Synchro Trigger
*			<li>3: Enable both Hardware and Synchro Trigger
*		</ul>
*	<li>@param[out] <b><VAR>ulTriggerMode</VAR></b>: Not used, must be 0
*	<li>@param[out] <b><VAR></VAR>ulHardwareTriggerEdge</b>: Defines the edge of the trigger
*		<ul>
*			<li>1: Hardware Trigger Rising Edge
*			<li>2: Hardware Trigger Falling Edge
*			<li>3: Enable both rising edge and falling edge
*		</ul>
*	<li>@param[out] <b><VAR>ulHardwareTriggerCount</VAR></b>: Defines the number of external trigger ignored before taking account (1 -> 65535)
*	<li>@param[out] <b><VAR>ulByTriggerNbrOfSeqToAcquire</VAR></b>: Not used, must be 0
*	<li>@param[out] <b><VAR>ulDataFormat</VAR></b>: Dataformat of the frame, see remarks and examples for more information:
*		<ul>
*			<li>D0: Absolute time stamp information (2*32 bits data)
*			<ul>
*				<li>0: No time stamp information
*				<li>1: Time stamp information
*			</ul>
*			<li>D1: Not used, must be 0
*			<li>D2: Sequence counter (32 bits data)
*			<ul>
*				<li>0: No sequence counter information required
*				<li>1: Sequence counter information required
*			</ul>
*			<li>D3: Hardware Trigger information (32 bits data)
*			<ul>
*				<li>0: No Hardware Trigger information required
*				<li>1: Hardware Trigger information required
*			</ul>
*		</ul>
*	<li>@param[out] <b><VAR>ulCouplingSelectionMask</VAR></b>: 8 bits mask (0 -> 0xFF) which defines the coupling for each channel (each bit corresponds to one channel)
*		<ul>
*			<li>0: AC
*			<li>1: DC
*		</ul>
*	<li>@param[out] <b><VAR>ulSeDiffSelectionMask</VAR></b>: 8 bits mask (0 -> 0xFF) which defines SE/DIFF mode for each channel (each bit corresponds to one channel)
*		<ul>
*			<li>0: SE
*			<li>1: DIFF
*		</ul>
* </ul>
*
* <p><b>Returns:</b></p>
* <ul>
* 	@return <b>Possible return value on the remote system (read them with GetLastCommandStatus):</b>
* 	<ul>
*		<li><b> <VAR>syserrno :</VAR> </b> system-error code (the value of the libc "errno" code) EPERM means a sequence acquisition was not started
*	</ul>
* </ul>
*/
			


/* @return 0 on success, -1 on system error, -2 on modbus exception, -3 if the received answer is incorrect */
int modbus_call_MSXE360X__AnalogInputGetSequenceConfigurationEx(struct modbus * modbus,struct MSXE360X__AnalogInputGetSequenceConfigurationEx_parameters_t * Response);


/* Symbolic names for register */
enum {
MSXE360X__ANALOGINPUTINITSEQUENCE=1,
MSXE360X__ANALOGINPUTINITSEQUENCEEX=1100,
MSXE360X__ANALOGINPUTSTARTSEQUENCE=2,
MSXE360X__ANALOGINPUTSTARTSEQUENCEEX=1150,
MSXE360X__ANALOGINPUTINITANDSTARTSEQUENCE=3,
MSXE360X__ANALOGINPUTINITANDSTARTSEQUENCEEX=1200,
MSXE360X__ANALOGINPUTSTOPSEQUENCE=4,
MSXE360X__ANALOGINPUTSTOPSEQUENCEEX=1250,
MSXE360X__ANALOGINPUTRELEASESEQUENCE=5,
MSXE360X__ANALOGINPUTRELEASESEQUENCEEX=1300,
MSXE360X__ANALOGINPUTSTOPANDRELEASESEQUENCE=6,
MSXE360X__ANALOGINPUTSTOPANDRELEASESEQUENCEEX=1350,
};

#ifdef WIN32
#pragma pack(1)
#endif // WIN32

struct MSXE360X__AnalogInputInitSequence_parameters_t
{
	uint32_t ulChannelMask;
	uint32_t ulNbrOfSequence;
	uint32_t ulNbrMaxSequenceToTransfer;
	float dFrequencySelection;
	uint32_t pulGainArray[8];
	uint32_t ulICPMask;
	uint32_t ulTriggerMask;
	uint32_t ulTriggerMode;
	uint32_t ulHardwareTriggerEdge;
	uint32_t ulHardwareTriggerCount;
	uint32_t ulByTriggerNbrOfSeqToAcquire;
	uint32_t ulDataFormat;
	uint32_t ulCouplingSelectionMask;
	uint32_t ulSeDiffSelectionMask;
 } __PACKED;

struct MSXE360X__AnalogInputInitSequenceEx_parameters_t
{
	uint32_t ulChannelMask;
	uint32_t ulNbrOfSequence;
	uint32_t ulNbrMaxSequenceToTransfer;
	float dFrequencySelection;
	uint32_t pulGainArray[8];
	uint32_t ulICPMask;
	uint32_t ulTriggerMask;
	uint32_t ulTriggerMode;
	uint32_t ulHardwareTriggerEdge;
	uint32_t ulHardwareTriggerCount;
	uint32_t ulByTriggerNbrOfSeqToAcquire;
	uint32_t ulDataFormat;
	uint32_t ulCouplingSelectionMask;
	uint32_t ulSeDiffSelectionMask;
 } __PACKED;

struct MSXE360X__AnalogInputStartSequence_parameters_t
{
	uint32_t Dummy;
 } __PACKED;

struct MSXE360X__AnalogInputStartSequenceEx_parameters_t
{
	uint32_t Dummy;
 } __PACKED;

struct MSXE360X__AnalogInputInitAndStartSequence_parameters_t
{
	uint32_t ulChannelMask;
	uint32_t ulNbrOfSequence;
	uint32_t ulNbrMaxSequenceToTransfer;
	float dFrequencySelection;
	uint32_t pulGainArray[8];
	uint32_t ulICPMask;
	uint32_t ulTriggerMask;
	uint32_t ulTriggerMode;
	uint32_t ulHardwareTriggerEdge;
	uint32_t ulHardwareTriggerCount;
	uint32_t ulByTriggerNbrOfSeqToAcquire;
	uint32_t ulDataFormat;
	uint32_t ulCouplingSelectionMask;
	uint32_t ulSeDiffSelectionMask;
 } __PACKED;

struct MSXE360X__AnalogInputInitAndStartSequenceEx_parameters_t
{
	uint32_t ulChannelMask;
	uint32_t ulNbrOfSequence;
	uint32_t ulNbrMaxSequenceToTransfer;
	float dFrequencySelection;
	uint32_t pulGainArray[8];
	uint32_t ulICPMask;
	uint32_t ulTriggerMask;
	uint32_t ulTriggerMode;
	uint32_t ulHardwareTriggerEdge;
	uint32_t ulHardwareTriggerCount;
	uint32_t ulByTriggerNbrOfSeqToAcquire;
	uint32_t ulDataFormat;
	uint32_t ulCouplingSelectionMask;
	uint32_t ulSeDiffSelectionMask;
 } __PACKED;

struct MSXE360X__AnalogInputStopSequence_parameters_t
{
	uint32_t Dummy;
 } __PACKED;

struct MSXE360X__AnalogInputStopSequenceEx_parameters_t
{
	uint32_t Dummy;
 } __PACKED;

struct MSXE360X__AnalogInputReleaseSequence_parameters_t
{
	uint32_t Dummy;
 } __PACKED;

struct MSXE360X__AnalogInputReleaseSequenceEx_parameters_t
{
	uint32_t Dummy;
 } __PACKED;

struct MSXE360X__AnalogInputStopAndReleaseSequence_parameters_t
{
	uint32_t Dummy;
 } __PACKED;

struct MSXE360X__AnalogInputStopAndReleaseSequenceEx_parameters_t
{
	uint32_t Dummy;
 } __PACKED;

#ifdef WIN32
#pragma pack()
#endif // WIN32


/** <p>Initialize the analog input sequence acquisition mode. \n
* Do not call when a sequence is already started. </p>
* <p>A sequence is a list of channels (max 8) that are acquired.</p>
*
* <p><b>Parameters:</b></p>
* <ul>
*	<li>@param[in] <b><VAR>ulChannelMask</VAR></b>:
*		<p>8 bits mask (0->0xFF) which defines channels used for the acquisition (each bit corresponds to one channel) \n
*		<ul>
*			<li>0: not used
*			<li>1: used
*		</ul></p>
*	<li>@param[in] <b><VAR>ulNbrOfSequence</VAR></b>:
*		<p>Number of sequence to acquire \n
*		<ul>
*			<li> 0: Continuous mode
*			<li>>0: Number of sequences (1 -> 4294967295 (0xFFFFFFFF))
*		</ul></p>
*	<li>@param[in] <b><VAR>ulNbrMaxSequenceToTransfer</VAR></b>: Not used, must be 0
*	<li>@param[in] <b><VAR>dFrequencySelection</VAR></b>: Select the frequency of the acquisition:
*		<ul>
*			<li>1000.00 Hz
*			<li>1280.00 Hz
*			<li>1562.50 Hz
*			<li>1600.00 Hz
*			<li>1666.67 Hz
*			<li>12000.00 Hz
*			<li>12500.00 Hz
*			<li>13125.00 Hz
*			<li>13200.00 Hz
*			<li>13333.33 Hz
*			<li>14000.00 Hz
*			<li>15000.00 Hz
*			<li>16250.00 Hz
*			<li>16400.00 Hz
*			<li>16666.67 Hz
*			<li>18000.00 Hz
*			<li>110000.00 Hz
*			<li>112500.00 Hz
*			<li>112800.00 Hz
*			<li>113333.33 Hz
*			<li>116000.00 Hz
*			<li>116666.67 Hz
*			<li>120000.00 Hz
*			<li>125000.00 Hz
*			<li>132000.00 Hz
*			<li>133333.33 Hz
*			<li>140000.00 Hz
*			<li>150000.00 Hz
*			<li>164000.00 Hz
*			<li>166666.67 Hz
*			<li>180000.00 Hz
*			<li>1100000.00 Hz
*			<li>1128000.00 Hz
*		</ul>
*	<li>@param[in] <b><VAR>pulGainArray</VAR></b>:
*		<p>Define the gain (1, 10 or 100) to use for each channel.\n
*		Each index of the array corresponds to the corresponding channel. \n
*		Example:
*		<ul>
*			<li>[0]: Define the gain for the channel 0
*			<li>[1]: Define the gain for the channel 1
*			<li>...
*		</ul></p>
*	<li>@param[in] <b><VAR>ulICPMask</VAR></b>:
*		<p>8 bits mask (0 -> 0xFF) which defines if the ICP is activated or not (each bit correspond to one channel).\n
*		When the ICP is activated, the chanel must be configured with AC and SE.
*		<ul>
*			<li>0: Not activated
*			<li>1: Activated
*		</ul></p>
*	<li>@param[in] <b><VAR>ulTriggerMask</VAR></b>: Define the source of the trigger
*		<ul>
*			<li>0: Trigger disabled
*			<li>1: Enable Hardware Digital Input Trigger
*			<li>2: Enable Synchro Trigger
*			<li>3: Enable both Hardware and Synchro Trigger
*		</ul>
*	<li>@param[in] <b><VAR>ulTriggerMode</VAR></b>: Not used, must be 0
*	<li>@param[in] <b><VAR></VAR>ulHardwareTriggerEdge</b>: Defines the edge of the trigger
*		<ul>
*			<li>1: Hardware Trigger Rising Edge
*			<li>2: Hardware Trigger Falling Edge
*			<li>3: Enable both rising edge and falling edge
*		</ul>
*	<li>@param[in] <b><VAR>ulHardwareTriggerCount</VAR></b>: Defines the number of external trigger ignored before taking account (1 -> 65535)
*	<li>@param[in] <b><VAR>ulByTriggerNbrOfSeqToAcquire</VAR></b>: Not used, must be 0
*	<li>@param[in] <b><VAR>ulDataFormat</VAR></b>: Dataformat of the frame, see remarks and examples for more information:
*		<ul>
*			<li>D0: Absolute time stamp information (2*32 bits data)
*			<ul>
*				<li>0: No time stamp information
*				<li>1: Time stamp information
*			</ul>
*			<li>D1: Not used, must be 0
*			<li>D2: Sequence counter (32 bits data)
*			<ul>
*				<li>0: No sequence counter information required
*				<li>1: Sequence counter information required
*			</ul>
*			<li>D3: Hardware Trigger information (32 bits data)
*			<ul>
*				<li>0: No Hardware Trigger information required
*				<li>1: Hardware Trigger information required
*			</ul>
*		</ul>
*	<li>@param[in] <b><VAR>ulCouplingSelectionMask</VAR></b>: 8 bits mask (0 -> 0xFF) which defines the coupling for each channel (each bit corresponds to one channel)
*		<ul>
*			<li>0: AC
*			<li>1: DC
*		</ul>
*	<li>@param[in] <b><VAR>ulSeDiffSelectionMask</VAR></b>: 8 bits mask (0 -> 0xFF) which defines SE/DIFF mode for each channel (each bit corresponds to one channel)
*		<ul>
*			<li>0: SE
*			<li>1: DIFF
*		</ul>
* </ul>
*
* <p><b>Remarks:</b></p>
* <ul>
* 	<li>data packets depends on the (number of sequence asked) * (sequence size in 32 bits words) * 4
*	<ul>
*		<li><4-8192> bytes, Only one packet of the corresponding size is sent
*		<li>0 (continuous) or > 8192 bytes : packet of 8192 bytes containing the sequences are sent by the MSXE, for the last sequence, the last packet is sent with the rest of the size
*	</ul>
*	<li>The data order is
*	<ul>
*		<li>Timestamp seconds (optional)
*		<li>Timestamp microseconds (optional)
*		<li>Sequence counter (optional)
*		<li>Hardware trigger information (optional)
*		<li>Selected channels in ascending order
*	</ul>
*	<li>Sequence size in bytes: [(timestamp (s) + timestamp (us)) (optional) + sequence counter (optional) + hardware trigger information (optional) + number of channels] * 4
* </ul>
*
* <p><b>Examples:</b></p>
* <ul>
*	<li> 4 channels in continuous mode: packets of 8192 bytes are sent -> 512 sequences of 4 32 bits channels per packet
*	<li> 10 sequences of 4 channels with timestamp and hardware trigger information: 1 packet of 280 bytes is sent by the MSXE -> 10 sequences of : timestamp (2*32 bits word) + sequence counter size (32 bits) + 4 * 32 bits channels)
* </ul>
*
* <p><b>Returns:</b></p>
* <ul>
*	@return <b>Possible return value on the remote system (read them with GetLastCommandStatus):</b>
*	<ul>
*		<li>  0: means the remote function performed OK
*		<li> -1: means an system error occured
*		<li> -2: PLD is not working
*		<li> -3: error, system is in calibration
*		<li> -4: channel action is wrong
*		<li> -5: gain selection error
*		<li> -6: channel coupling selection error
*		<li> -7: SE / Diff selection error
*		<li> -8: ICP selection error
*		<li> -9: ICP can only be used with AC and SE
*		<li>-10: driver is not in idle state
*		<li>-11: PLD is not working
*		<li>-12: error, system is in calibration
*		<li>-13: Frequency selection error
*		<li>-14: driver is not in idle state
*		<li>-19: channel mask can not be null
*		<li>-20: channel mask selection error
*		<li>-21: number of sequence selection error
*		<li>-22: sequence interrupt selection error (must be 0)
*		<li>-23: the ulTriggerMode parameter is wrong (must be 0)
*		<li>-24: the ulHardwareTriggerEdge parameter is wrong
*		<li>-25: the ulHardwareTriggerCount parameter is wrong
*		<li>-26: the ulByTriggerNbrOfSeqToAcquire parameter is wrong (must be 0)
*		<li>-27: the ulDataFormat parameter is wrong
*		<li>-28: the ulTriggerMask parameter is wrong
*		<li>-29: the ulICPMask is wrong (0->0xFF)
*		<li>-30: the ulCouplingSelectionMask is wrong (0->0xFF)
*		<li>-31: the ulSeDiffSelectionMask is wrong (0->0xFF)
*		<li>-40: PLD is not working
*		<li>-41: error, system is in calibration
*		<li>-42: driver status is wrong
*		<li>-100 internal system error occurs see value of syserrno
*	</ul>
* 	<b> <VAR>syserrno :</VAR> </b> system-error code (the value of the libc "errno" code) EPERM means a sequence acquisition was not started
* </ul>
*/
			
/*
@return 0 on success, -1 on system error, -2 on MODBUS exception (the exception code is in modbus->exception), -3 if response from remote system is incorrect, -4 if the remote call generated a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed
*/

/* Below is an example on how this function is intended to be used

int sample_MSXE360X__AnalogInputInitSequence(struct modbus * modbus)
{

	//variables declaration

	struct GetLastCommandStatus_parameters_t CommandStatus;
	int ret = 0;
	uint32_t ulChannelMask;
	uint32_t ulNbrOfSequence;
	uint32_t ulNbrMaxSequenceToTransfer;
	float dFrequencySelection;
	uint32_t pulGainArray[8];
	uint32_t ulICPMask;
	uint32_t ulTriggerMask;
	uint32_t ulTriggerMode;
	uint32_t ulHardwareTriggerEdge;
	uint32_t ulHardwareTriggerCount;
	uint32_t ulByTriggerNbrOfSeqToAcquire;
	uint32_t ulDataFormat;
	uint32_t ulCouplingSelectionMask;
	uint32_t ulSeDiffSelectionMask;

	//Initialise variables here

	//Remote function call
	ret = modbus_call_MSXE360X__AnalogInputInitSequence(modbus,ulChannelMask,ulNbrOfSequence,ulNbrMaxSequenceToTransfer,dFrequencySelection,pulGainArray,ulICPMask,ulTriggerMask,ulTriggerMode,ulHardwareTriggerEdge,ulHardwareTriggerCount,ulByTriggerNbrOfSeqToAcquire,ulDataFormat,ulCouplingSelectionMask,ulSeDiffSelectionMask,&CommandStatus);

	//Return value check
	switch(ret)
	{
		case 0: // OK
			break;
		case -1: // system error
			perror("MSXE360X__AnalogInputInitSequence");
			return -1;
			break;
		case -2: // MODBUS exception
			switch(modbus->exception)
			{
				case MODBUS_REMOTE_EXECUTION_ERROR: // actually a remote exception error and we get it in CommandStatus
					printf("Remote command returned: %d\n",MODBUS_NTOHL((int) (CommandStatus.ReturnValue)) );
					*(CommandStatus.Errstr+sizeof(CommandStatus.Errstr)-1)='\0';
					printf("Remote errno: %d (%s)\n",(int)MODBUS_NTOHL((int)CommandStatus.Syserrno),CommandStatus.Errstr);
					return -1;
					break;
				default:
					printf("remote system returned a MODBUS exception for command MSXE360X__AnalogInputInitSequence\n");
					printf("reason: %s (%d)\n",modbus_exception_to_str(modbus->exception),modbus->exception);
					return -1;
					break;
			}
			break;
		case -3: // incorrect response from remote system
			printf("incorrect response from remote system\n");
			return -1;
			break;
		case -4: 
			printf("remote system returned a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed\n");
			return -1;
			break;
		default: 
			printf("unknown return code %d from MSXE360X__AnalogInputInitSequence()\n",ret);
			return -1;
			break;
	}
	printf("call to MSXE360X__AnalogInputInitSequence OK\n");
	return 0;
}

*/

int modbus_call_MSXE360X__AnalogInputInitSequence(struct modbus * modbus,
	uint32_t ulChannelMask,
	uint32_t ulNbrOfSequence,
	uint32_t ulNbrMaxSequenceToTransfer,
	float dFrequencySelection,
	uint32_t pulGainArray[8],
	uint32_t ulICPMask,
	uint32_t ulTriggerMask,
	uint32_t ulTriggerMode,
	uint32_t ulHardwareTriggerEdge,
	uint32_t ulHardwareTriggerCount,
	uint32_t ulByTriggerNbrOfSeqToAcquire,
	uint32_t ulDataFormat,
	uint32_t ulCouplingSelectionMask,
	uint32_t ulSeDiffSelectionMask
, struct GetLastCommandStatus_parameters_t * CommandStatus);

/** <p>Initialize the analog input sequence acquisition mode. \n
* Do not call when a sequence is already started. </p>
* <p>A sequence is a list of channels (max 8) that are acquired.</p>
*
* <p><b>Parameters:</b></p>
* <ul>
*	<li>@param[in] <b><VAR>ulChannelMask</VAR></b>:
*		<p>8 bits mask (0->0xFF) which defines channels used for the acquisition (each bit corresponds to one channel) \n
*		<ul>
*			<li>0: not used
*			<li>1: used
*		</ul></p>
*	<li>@param[in] <b><VAR>ulNbrOfSequence</VAR></b>:
*		<p>Number of sequence to acquire \n
*		<ul>
*			<li> 0: Continuous mode
*			<li>>0: Number of sequences (1 -> 4294967295 (0xFFFFFFFF))
*		</ul></p>
*	<li>@param[in] <b><VAR>ulNbrMaxSequenceToTransfer</VAR></b>: Not used, must be 0
*	<li>@param[in] <b><VAR>dFrequencySelection</VAR></b>: Select the frequency of the acquisition:
*		<ul>
*			<li>1000.00 Hz
*			<li>1280.00 Hz
*			<li>1562.50 Hz
*			<li>1600.00 Hz
*			<li>1666.67 Hz
*			<li>12000.00 Hz
*			<li>12500.00 Hz
*			<li>13125.00 Hz
*			<li>13200.00 Hz
*			<li>13333.33 Hz
*			<li>14000.00 Hz
*			<li>15000.00 Hz
*			<li>16250.00 Hz
*			<li>16400.00 Hz
*			<li>16666.67 Hz
*			<li>18000.00 Hz
*			<li>110000.00 Hz
*			<li>112500.00 Hz
*			<li>112800.00 Hz
*			<li>113333.33 Hz
*			<li>116000.00 Hz
*			<li>116666.67 Hz
*			<li>120000.00 Hz
*			<li>125000.00 Hz
*			<li>132000.00 Hz
*			<li>133333.33 Hz
*			<li>140000.00 Hz
*			<li>150000.00 Hz
*			<li>164000.00 Hz
*			<li>166666.67 Hz
*			<li>180000.00 Hz
*			<li>1100000.00 Hz
*			<li>1128000.00 Hz
*		</ul>
*	<li>@param[in] <b><VAR>pulGainArray</VAR></b>:
*		<p>Define the gain (1, 10 or 100) to use for each channel.\n
*		Each index of the array corresponds to the corresponding channel. \n
*		Example:
*		<ul>
*			<li>[0]: Define the gain for the channel 0
*			<li>[1]: Define the gain for the channel 1
*			<li>...
*		</ul></p>
*	<li>@param[in] <b><VAR>ulICPMask</VAR></b>:
*		<p>8 bits mask (0 -> 0xFF) which defines if the ICP is activated or not (each bit correspond to one channel).\n
*		When the ICP is activated, the chanel must be configured with AC and SE.
*		<ul>
*			<li>0: Not activated
*			<li>1: Activated
*		</ul></p>
*	<li>@param[in] <b><VAR>ulTriggerMask</VAR></b>: Define the source of the trigger
*		<ul>
*			<li>0: Trigger disabled
*			<li>1: Enable Hardware Digital Input Trigger
*			<li>2: Enable Synchro Trigger
*			<li>3: Enable both Hardware and Synchro Trigger
*		</ul>
*	<li>@param[in] <b><VAR>ulTriggerMode</VAR></b>: Not used, must be 0
*	<li>@param[in] <b><VAR></VAR>ulHardwareTriggerEdge</b>: Defines the edge of the trigger
*		<ul>
*			<li>1: Hardware Trigger Rising Edge
*			<li>2: Hardware Trigger Falling Edge
*			<li>3: Enable both rising edge and falling edge
*		</ul>
*	<li>@param[in] <b><VAR>ulHardwareTriggerCount</VAR></b>: Defines the number of external trigger ignored before taking account (1 -> 65535)
*	<li>@param[in] <b><VAR>ulByTriggerNbrOfSeqToAcquire</VAR></b>: Not used, must be 0
*	<li>@param[in] <b><VAR>ulDataFormat</VAR></b>: Dataformat of the frame, see remarks and examples for more information:
*		<ul>
*			<li>D0: Absolute time stamp information (2*32 bits data)
*			<ul>
*				<li>0: No time stamp information
*				<li>1: Time stamp information
*			</ul>
*			<li>D1: Not used, must be 0
*			<li>D2: Sequence counter (32 bits data)
*			<ul>
*				<li>0: No sequence counter information required
*				<li>1: Sequence counter information required
*			</ul>
*			<li>D3: Hardware Trigger information (32 bits data)
*			<ul>
*				<li>0: No Hardware Trigger information required
*				<li>1: Hardware Trigger information required
*			</ul>
*		</ul>
*	<li>@param[in] <b><VAR>ulCouplingSelectionMask</VAR></b>: 8 bits mask (0 -> 0xFF) which defines the coupling for each channel (each bit corresponds to one channel)
*		<ul>
*			<li>0: AC
*			<li>1: DC
*		</ul>
*	<li>@param[in] <b><VAR>ulSeDiffSelectionMask</VAR></b>: 8 bits mask (0 -> 0xFF) which defines SE/DIFF mode for each channel (each bit corresponds to one channel)
*		<ul>
*			<li>0: SE
*			<li>1: DIFF
*		</ul>
* </ul>
*
* <p><b>Remarks:</b></p>
* <ul>
* 	<li>data packets depends on the (number of sequence asked) * (sequence size in 32 bits words) * 4
*	<ul>
*		<li><4-8192> bytes, Only one packet of the corresponding size is sent
*		<li>0 (continuous) or > 8192 bytes : packet of 8192 bytes containing the sequences are sent by the MSXE, for the last sequence, the last packet is sent with the rest of the size
*	</ul>
*	<li>The data order is
*	<ul>
*		<li>Timestamp seconds (optional)
*		<li>Timestamp microseconds (optional)
*		<li>Sequence counter (optional)
*		<li>Hardware trigger information (optional)
*		<li>Selected channels in ascending order
*	</ul>
*	<li>Sequence size in bytes: [(timestamp (s) + timestamp (us)) (optional) + sequence counter (optional) + hardware trigger information (optional) + number of channels] * 4
* </ul>
*
* <p><b>Examples:</b></p>
* <ul>
*	<li> 4 channels in continuous mode: packets of 8192 bytes are sent -> 512 sequences of 4 32 bits channels per packet
*	<li> 10 sequences of 4 channels with timestamp and hardware trigger information: 1 packet of 280 bytes is sent by the MSXE -> 10 sequences of : timestamp (2*32 bits word) + sequence counter size (32 bits) + 4 * 32 bits channels)
* </ul>
*
* <p><b>Returns:</b></p>
* <ul>
*	@return <b>Possible return value on the remote system (read them with GetLastCommandStatus):</b>
*	<ul>
*		<li>  0: means the remote function performed OK
*		<li> -1: means an system error occured
*		<li> -2: PLD is not working
*		<li> -3: error, system is in calibration
*		<li> -4: channel action is wrong
*		<li> -5: gain selection error
*		<li> -6: channel coupling selection error
*		<li> -7: SE / Diff selection error
*		<li> -8: ICP selection error
*		<li> -9: ICP can only be used with AC and SE
*		<li>-10: driver is not in idle state
*		<li>-11: PLD is not working
*		<li>-12: error, system is in calibration
*		<li>-13: Frequency selection error
*		<li>-14: driver is not in idle state
*		<li>-19: channel mask can not be null
*		<li>-20: channel mask selection error
*		<li>-21: number of sequence selection error
*		<li>-22: sequence interrupt selection error (must be 0)
*		<li>-23: the ulTriggerMode parameter is wrong (must be 0)
*		<li>-24: the ulHardwareTriggerEdge parameter is wrong
*		<li>-25: the ulHardwareTriggerCount parameter is wrong
*		<li>-26: the ulByTriggerNbrOfSeqToAcquire parameter is wrong (must be 0)
*		<li>-27: the ulDataFormat parameter is wrong
*		<li>-28: the ulTriggerMask parameter is wrong
*		<li>-29: the ulICPMask is wrong (0->0xFF)
*		<li>-30: the ulCouplingSelectionMask is wrong (0->0xFF)
*		<li>-31: the ulSeDiffSelectionMask is wrong (0->0xFF)
*		<li>-40: PLD is not working
*		<li>-41: error, system is in calibration
*		<li>-42: driver status is wrong
*		<li>-100 internal system error occurs see value of syserrno
*	</ul>
* 	<b> <VAR>syserrno :</VAR> </b> system-error code (the value of the libc "errno" code) EPERM means a sequence acquisition was not started
* </ul>
*/
			
/*
@return 0 on success, -1 on system error, -2 on MODBUS exception (the exception code is in modbus->exception), -3 if response from remote system is incorrect, -4 if the remote call generated a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed
*/

/* Below is an example on how this function is intended to be used

int sample_MSXE360X__AnalogInputInitSequenceEx(struct modbus * modbus)
{

	//variables declaration

	struct GetLastCommandStatus_parameters_t CommandStatus;
	int ret = 0;
	uint32_t ulChannelMask;
	uint32_t ulNbrOfSequence;
	uint32_t ulNbrMaxSequenceToTransfer;
	float dFrequencySelection;
	uint32_t pulGainArray[8];
	uint32_t ulICPMask;
	uint32_t ulTriggerMask;
	uint32_t ulTriggerMode;
	uint32_t ulHardwareTriggerEdge;
	uint32_t ulHardwareTriggerCount;
	uint32_t ulByTriggerNbrOfSeqToAcquire;
	uint32_t ulDataFormat;
	uint32_t ulCouplingSelectionMask;
	uint32_t ulSeDiffSelectionMask;

	//Initialise variables here

	//Remote function call
	ret = modbus_call_MSXE360X__AnalogInputInitSequenceEx(modbus,ulChannelMask,ulNbrOfSequence,ulNbrMaxSequenceToTransfer,dFrequencySelection,pulGainArray,ulICPMask,ulTriggerMask,ulTriggerMode,ulHardwareTriggerEdge,ulHardwareTriggerCount,ulByTriggerNbrOfSeqToAcquire,ulDataFormat,ulCouplingSelectionMask,ulSeDiffSelectionMask,&CommandStatus);

	//Return value check
	switch(ret)
	{
		case 0: // OK
			break;
		case -1: // system error
			perror("MSXE360X__AnalogInputInitSequenceEx");
			return -1;
			break;
		case -2: // MODBUS exception
			switch(modbus->exception)
			{
				case MODBUS_REMOTE_EXECUTION_ERROR: // actually a remote exception error and we get it in CommandStatus
					printf("Remote command returned: %d\n",MODBUS_NTOHL((int) (CommandStatus.ReturnValue)) );
					*(CommandStatus.Errstr+sizeof(CommandStatus.Errstr)-1)='\0';
					printf("Remote errno: %d (%s)\n",(int)MODBUS_NTOHL((int)CommandStatus.Syserrno),CommandStatus.Errstr);
					return -1;
					break;
				default:
					printf("remote system returned a MODBUS exception for command MSXE360X__AnalogInputInitSequenceEx\n");
					printf("reason: %s (%d)\n",modbus_exception_to_str(modbus->exception),modbus->exception);
					return -1;
					break;
			}
			break;
		case -3: // incorrect response from remote system
			printf("incorrect response from remote system\n");
			return -1;
			break;
		case -4: 
			printf("remote system returned a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed\n");
			return -1;
			break;
		default: 
			printf("unknown return code %d from MSXE360X__AnalogInputInitSequenceEx()\n",ret);
			return -1;
			break;
	}
	printf("call to MSXE360X__AnalogInputInitSequenceEx OK\n");
	return 0;
}

*/

int modbus_call_MSXE360X__AnalogInputInitSequenceEx(struct modbus * modbus,
	uint32_t ulChannelMask,
	uint32_t ulNbrOfSequence,
	uint32_t ulNbrMaxSequenceToTransfer,
	float dFrequencySelection,
	uint32_t pulGainArray[8],
	uint32_t ulICPMask,
	uint32_t ulTriggerMask,
	uint32_t ulTriggerMode,
	uint32_t ulHardwareTriggerEdge,
	uint32_t ulHardwareTriggerCount,
	uint32_t ulByTriggerNbrOfSeqToAcquire,
	uint32_t ulDataFormat,
	uint32_t ulCouplingSelectionMask,
	uint32_t ulSeDiffSelectionMask
, struct GetLastCommandStatus_parameters_t * CommandStatus);

/** <p>Start the analog input sequence acquisition mode. \n
* Do not call when a sequence is already started ot not initalized. </p>
* <p>A sequence is a list of channels (max 8) that are acquired.</p>
*
* <p><b>Parameters:</b></p>
* <ul>
* 	<li>@param[in] <b><VAR>Dummy</VAR></b>: Reserved
* </ul>
*
* <p><b>Returns:</b></p>
* <ul>
*	@return <b>Possible return value on the remote system (read them with GetLastCommandStatus):</b>
*	<ul>
*		<li>  0: means the remote function performed OK
*		<li> -1: means an system error occured
*		<li> -2: PLD is not working
*		<li> -3: error, system is in calibration
*		<li> -4: channel action is wrong
*		<li> -5: gain selection error
*		<li> -6: channel coupling selection error
*		<li> -7: SE / Diff selection error
*		<li> -8: ICP selection error
*		<li> -9: ICP can only be used with AC and SE
*		<li>-10: driver is not in idle state
*		<li>-11: PLD is not working
*		<li>-12: error, system is in calibration
*		<li>-13: Frequency selection error
*		<li>-14: driver is not in idle state
*		<li>-19: channel mask can not be null
*		<li>-20: channel mask selection error
*		<li>-21: number of sequence selection error
*		<li>-22: sequence interrupt selection error (must be 0)
*		<li>-23: the ulTriggerMode parameter is wrong (must be 0)
*		<li>-24: the ulHardwareTriggerEdge parameter is wrong
*		<li>-25: the ulHardwareTriggerCount parameter is wrong
*		<li>-26: the ulByTriggerNbrOfSeqToAcquire parameter is wrong (must be 0)
*		<li>-27: the ulDataFormat parameter is wrong
*		<li>-28: the ulTriggerMask parameter is wrong
*		<li>-29: the ulICPMask is wrong (0->0xFF)
*		<li>-30: the ulCouplingSelectionMask is wrong (0->0xFF)
*		<li>-31: the ulSeDiffSelectionMask is wrong (0->0xFF)
*		<li>-40: PLD is not working
*		<li>-41: error, system is in calibration
*		<li>-42: driver status is wrong
*		<li>-100 internal system error occurs see value of syserrno
*	</ul>
* 	<b> <VAR>syserrno :</VAR> </b> system-error code (the value of the libc "errno" code) EPERM means a sequence acquisition was not started
* </ul>
*/
			
/*
@return 0 on success, -1 on system error, -2 on MODBUS exception (the exception code is in modbus->exception), -3 if response from remote system is incorrect, -4 if the remote call generated a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed
*/

/* Below is an example on how this function is intended to be used

int sample_MSXE360X__AnalogInputStartSequence(struct modbus * modbus)
{

	//variables declaration

	struct GetLastCommandStatus_parameters_t CommandStatus;
	int ret = 0;
	uint32_t Dummy;

	//Initialise variables here

	//Remote function call
	ret = modbus_call_MSXE360X__AnalogInputStartSequence(modbus,Dummy,&CommandStatus);

	//Return value check
	switch(ret)
	{
		case 0: // OK
			break;
		case -1: // system error
			perror("MSXE360X__AnalogInputStartSequence");
			return -1;
			break;
		case -2: // MODBUS exception
			switch(modbus->exception)
			{
				case MODBUS_REMOTE_EXECUTION_ERROR: // actually a remote exception error and we get it in CommandStatus
					printf("Remote command returned: %d\n",MODBUS_NTOHL((int) (CommandStatus.ReturnValue)) );
					*(CommandStatus.Errstr+sizeof(CommandStatus.Errstr)-1)='\0';
					printf("Remote errno: %d (%s)\n",(int)MODBUS_NTOHL((int)CommandStatus.Syserrno),CommandStatus.Errstr);
					return -1;
					break;
				default:
					printf("remote system returned a MODBUS exception for command MSXE360X__AnalogInputStartSequence\n");
					printf("reason: %s (%d)\n",modbus_exception_to_str(modbus->exception),modbus->exception);
					return -1;
					break;
			}
			break;
		case -3: // incorrect response from remote system
			printf("incorrect response from remote system\n");
			return -1;
			break;
		case -4: 
			printf("remote system returned a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed\n");
			return -1;
			break;
		default: 
			printf("unknown return code %d from MSXE360X__AnalogInputStartSequence()\n",ret);
			return -1;
			break;
	}
	printf("call to MSXE360X__AnalogInputStartSequence OK\n");
	return 0;
}

*/

int modbus_call_MSXE360X__AnalogInputStartSequence(struct modbus * modbus,
	uint32_t Dummy
, struct GetLastCommandStatus_parameters_t * CommandStatus);

/** <p>Start the analog input sequence acquisition mode. \n
* Do not call when a sequence is already started ot not initalized. </p>
* <p>A sequence is a list of channels (max 8) that are acquired.</p>
*
* <p><b>Parameters:</b></p>
* <ul>
* 	<li>@param[in] <b><VAR>Dummy</VAR></b>: Reserved
* </ul>
*
* <p><b>Returns:</b></p>
* <ul>
*	@return <b>Possible return value on the remote system (read them with GetLastCommandStatus):</b>
*	<ul>
*		<li>  0: means the remote function performed OK
*		<li> -1: means an system error occured
*		<li> -2: PLD is not working
*		<li> -3: error, system is in calibration
*		<li> -4: channel action is wrong
*		<li> -5: gain selection error
*		<li> -6: channel coupling selection error
*		<li> -7: SE / Diff selection error
*		<li> -8: ICP selection error
*		<li> -9: ICP can only be used with AC and SE
*		<li>-10: driver is not in idle state
*		<li>-11: PLD is not working
*		<li>-12: error, system is in calibration
*		<li>-13: Frequency selection error
*		<li>-14: driver is not in idle state
*		<li>-19: channel mask can not be null
*		<li>-20: channel mask selection error
*		<li>-21: number of sequence selection error
*		<li>-22: sequence interrupt selection error (must be 0)
*		<li>-23: the ulTriggerMode parameter is wrong (must be 0)
*		<li>-24: the ulHardwareTriggerEdge parameter is wrong
*		<li>-25: the ulHardwareTriggerCount parameter is wrong
*		<li>-26: the ulByTriggerNbrOfSeqToAcquire parameter is wrong (must be 0)
*		<li>-27: the ulDataFormat parameter is wrong
*		<li>-28: the ulTriggerMask parameter is wrong
*		<li>-29: the ulICPMask is wrong (0->0xFF)
*		<li>-30: the ulCouplingSelectionMask is wrong (0->0xFF)
*		<li>-31: the ulSeDiffSelectionMask is wrong (0->0xFF)
*		<li>-40: PLD is not working
*		<li>-41: error, system is in calibration
*		<li>-42: driver status is wrong
*		<li>-100 internal system error occurs see value of syserrno
*	</ul>
* 	<b> <VAR>syserrno :</VAR> </b> system-error code (the value of the libc "errno" code) EPERM means a sequence acquisition was not started
* </ul>
*/
			
/*
@return 0 on success, -1 on system error, -2 on MODBUS exception (the exception code is in modbus->exception), -3 if response from remote system is incorrect, -4 if the remote call generated a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed
*/

/* Below is an example on how this function is intended to be used

int sample_MSXE360X__AnalogInputStartSequenceEx(struct modbus * modbus)
{

	//variables declaration

	struct GetLastCommandStatus_parameters_t CommandStatus;
	int ret = 0;
	uint32_t Dummy;

	//Initialise variables here

	//Remote function call
	ret = modbus_call_MSXE360X__AnalogInputStartSequenceEx(modbus,Dummy,&CommandStatus);

	//Return value check
	switch(ret)
	{
		case 0: // OK
			break;
		case -1: // system error
			perror("MSXE360X__AnalogInputStartSequenceEx");
			return -1;
			break;
		case -2: // MODBUS exception
			switch(modbus->exception)
			{
				case MODBUS_REMOTE_EXECUTION_ERROR: // actually a remote exception error and we get it in CommandStatus
					printf("Remote command returned: %d\n",MODBUS_NTOHL((int) (CommandStatus.ReturnValue)) );
					*(CommandStatus.Errstr+sizeof(CommandStatus.Errstr)-1)='\0';
					printf("Remote errno: %d (%s)\n",(int)MODBUS_NTOHL((int)CommandStatus.Syserrno),CommandStatus.Errstr);
					return -1;
					break;
				default:
					printf("remote system returned a MODBUS exception for command MSXE360X__AnalogInputStartSequenceEx\n");
					printf("reason: %s (%d)\n",modbus_exception_to_str(modbus->exception),modbus->exception);
					return -1;
					break;
			}
			break;
		case -3: // incorrect response from remote system
			printf("incorrect response from remote system\n");
			return -1;
			break;
		case -4: 
			printf("remote system returned a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed\n");
			return -1;
			break;
		default: 
			printf("unknown return code %d from MSXE360X__AnalogInputStartSequenceEx()\n",ret);
			return -1;
			break;
	}
	printf("call to MSXE360X__AnalogInputStartSequenceEx OK\n");
	return 0;
}

*/

int modbus_call_MSXE360X__AnalogInputStartSequenceEx(struct modbus * modbus,
	uint32_t Dummy
, struct GetLastCommandStatus_parameters_t * CommandStatus);

/** <p>Initialize and start the analog input sequence acquisition mode. \n
* Do not call when a sequence is already started. </p>
* <p>A sequence is a list of channels (max 8) that are acquired.</p>
*
* <p><b>Parameters:</b></p>
* <ul>
*	<li>@param[in] <b><VAR>ulChannelMask</VAR></b>:
*		<p>8 bits mask (0->0xFF) which defines channels used for the acquisition (each bit corresponds to one channel) \n
*		<ul>
*			<li>0: not used
*			<li>1: used
*		</ul></p>
*	<li>@param[in] <b><VAR>ulNbrOfSequence</VAR></b>:
*		<p>Number of sequence to acquire \n
*		<ul>
*			<li> 0: Continuous mode
*			<li>>0: Number of sequences (1 -> 4294967295 (0xFFFFFFFF))
*		</ul></p>
*	<li>@param[in] <b><VAR>ulNbrMaxSequenceToTransfer</VAR></b>: Not used, must be 0
*	<li>@param[in] <b><VAR>dFrequencySelection</VAR></b>: Select the frequency of the acquisition:
*		<ul>
*			<li>1000.00 Hz
*			<li>1280.00 Hz
*			<li>1562.50 Hz
*			<li>1600.00 Hz
*			<li>1666.67 Hz
*			<li>12000.00 Hz
*			<li>12500.00 Hz
*			<li>13125.00 Hz
*			<li>13200.00 Hz
*			<li>13333.33 Hz
*			<li>14000.00 Hz
*			<li>15000.00 Hz
*			<li>16250.00 Hz
*			<li>16400.00 Hz
*			<li>16666.67 Hz
*			<li>18000.00 Hz
*			<li>110000.00 Hz
*			<li>112500.00 Hz
*			<li>112800.00 Hz
*			<li>113333.33 Hz
*			<li>116000.00 Hz
*			<li>116666.67 Hz
*			<li>120000.00 Hz
*			<li>125000.00 Hz
*			<li>132000.00 Hz
*			<li>133333.33 Hz
*			<li>140000.00 Hz
*			<li>150000.00 Hz
*			<li>164000.00 Hz
*			<li>166666.67 Hz
*			<li>180000.00 Hz
*			<li>1100000.00 Hz
*			<li>1128000.00 Hz
*		</ul>
*	<li>@param[in] <b><VAR>pulGainArray</VAR></b>:
*		<p>Define the gain (1, 10 or 100) to use for each channel.\n
*		Each index of the array corresponds to the corresponding channel. \n
*		Example:
*		<ul>
*			<li>[0]: Define the gain for the channel 0
*			<li>[1]: Define the gain for the channel 1
*			<li>...
*		</ul></p>
*	<li>@param[in] <b><VAR>ulICPMask</VAR></b>:
*		<p>8 bits mask (0 -> 0xFF) which defines if the ICP is activated or not (each bit correspond to one channel).\n
*		When the ICP is activated, the chanel must be configured with AC and SE.
*		<ul>
*			<li>0: Not activated
*			<li>1: Activated
*		</ul></p>
*	<li>@param[in] <b><VAR>ulTriggerMask</VAR></b>: Define the source of the trigger
*		<ul>
*			<li>0: Trigger disabled
*			<li>1: Enable Hardware Digital Input Trigger
*			<li>2: Enable Synchro Trigger
*			<li>3: Enable both Hardware and Synchro Trigger
*		</ul>
*	<li>@param[in] <b><VAR>ulTriggerMode</VAR></b>: Not used, must be 0
*	<li>@param[in] <b><VAR></VAR>ulHardwareTriggerEdge</b>: Defines the edge of the trigger
*		<ul>
*			<li>1: Hardware Trigger Rising Edge
*			<li>2: Hardware Trigger Falling Edge
*			<li>3: Enable both rising edge and falling edge
*		</ul>
*	<li>@param[in] <b><VAR>ulHardwareTriggerCount</VAR></b>: Defines the number of external trigger ignored before taking account (1 -> 65535)
*	<li>@param[in] <b><VAR>ulByTriggerNbrOfSeqToAcquire</VAR></b>: Not used, must be 0
*	<li>@param[in] <b><VAR>ulDataFormat</VAR></b>: Dataformat of the frame, see remarks and examples for more information:
*		<ul>
*			<li>D0: Absolute time stamp information (2*32 bits data)
*			<ul>
*				<li>0: No time stamp information
*				<li>1: Time stamp information
*			</ul>
*			<li>D1: Not used, must be 0
*			<li>D2: Sequence counter (32 bits data)
*			<ul>
*				<li>0: No sequence counter information required
*				<li>1: Sequence counter information required
*			</ul>
*			<li>D3: Hardware Trigger information (32 bits data)
*			<ul>
*				<li>0: No Hardware Trigger information required
*				<li>1: Hardware Trigger information required
*			</ul>
*		</ul>
*	<li>@param[in] <b><VAR>ulCouplingSelectionMask</VAR></b>: 8 bits mask (0 -> 0xFF) which defines the coupling for each channel (each bit corresponds to one channel)
*		<ul>
*			<li>0: AC
*			<li>1: DC
*		</ul>
*	<li>@param[in] <b><VAR>ulSeDiffSelectionMask</VAR></b>: 8 bits mask (0 -> 0xFF) which defines SE/DIFF mode for each channel (each bit corresponds to one channel)
*		<ul>
*			<li>0: SE
*			<li>1: DIFF
*		</ul>
* </ul>
*
* <p><b>Remarks:</b></p>
* <ul>
* 	<li>data packets depends on the (number of sequence asked) * (sequence size in 32 bits words) * 4
*	<ul>
*		<li><4-8192> bytes, Only one packet of the corresponding size is sent
*		<li>0 (continuous) or > 8192 bytes : packet of 8192 bytes containing the sequences are sent by the MSXE, for the last sequence, the last packet is sent with the rest of the size
*	</ul>
*	<li>The data order is
*	<ul>
*		<li>Timestamp seconds (optional)
*		<li>Timestamp microseconds (optional)
*		<li>Sequence counter (optional)
*		<li>Hardware trigger information (optional)
*		<li>Selected channels in ascending order
*	</ul>
*	<li>Sequence size in bytes: [(timestamp (s) + timestamp (us)) (optional) + sequence counter (optional) + hardware trigger information (optional) + number of channels] * 4
* </ul>
*
* <p><b>Examples:</b></p>
* <ul>
*	<li> 4 channels in continuous mode: packets of 8192 bytes are sent -> 512 sequences of 4 32 bits channels per packet
*	<li> 10 sequences of 4 channels with timestamp and hardware trigger information: 1 packet of 280 bytes is sent by the MSXE -> 10 sequences of : timestamp (2*32 bits word) + sequence counter size (32 bits) + 4 * 32 bits channels)
* </ul>
*
* <p><b>Returns:</b></p>
* <ul>
*	@return <b>Possible return value on the remote system (read them with GetLastCommandStatus):</b>
*	<ul>
*		<li>  0: means the remote function performed OK
*		<li> -1: means an system error occured
*		<li> -2: PLD is not working
*		<li> -3: error, system is in calibration
*		<li> -4: channel action is wrong
*		<li> -5: gain selection error
*		<li> -6: channel coupling selection error
*		<li> -7: SE / Diff selection error
*		<li> -8: ICP selection error
*		<li> -9: ICP can only be used with AC and SE
*		<li>-10: driver is not in idle state
*		<li>-11: PLD is not working
*		<li>-12: error, system is in calibration
*		<li>-13: Frequency selection error
*		<li>-14: driver is not in idle state
*		<li>-19: channel mask can not be null
*		<li>-20: channel mask selection error
*		<li>-21: number of sequence selection error
*		<li>-22: sequence interrupt selection error (must be 0)
*		<li>-23: the ulTriggerMode parameter is wrong (must be 0)
*		<li>-24: the ulHardwareTriggerEdge parameter is wrong
*		<li>-25: the ulHardwareTriggerCount parameter is wrong
*		<li>-26: the ulByTriggerNbrOfSeqToAcquire parameter is wrong (must be 0)
*		<li>-27: the ulDataFormat parameter is wrong
*		<li>-28: the ulTriggerMask parameter is wrong
*		<li>-29: the ulICPMask is wrong (0->0xFF)
*		<li>-30: the ulCouplingSelectionMask is wrong (0->0xFF)
*		<li>-31: the ulSeDiffSelectionMask is wrong (0->0xFF)
*		<li>-40: PLD is not working
*		<li>-41: error, system is in calibration
*		<li>-42: driver status is wrong
*		<li>-100 internal system error occurs see value of syserrno
*	</ul>
* 	<b> <VAR>syserrno :</VAR> </b> system-error code (the value of the libc "errno" code) EPERM means a sequence acquisition was not started
* </ul>
*/
			
/*
@return 0 on success, -1 on system error, -2 on MODBUS exception (the exception code is in modbus->exception), -3 if response from remote system is incorrect, -4 if the remote call generated a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed
*/

/* Below is an example on how this function is intended to be used

int sample_MSXE360X__AnalogInputInitAndStartSequence(struct modbus * modbus)
{

	//variables declaration

	struct GetLastCommandStatus_parameters_t CommandStatus;
	int ret = 0;
	uint32_t ulChannelMask;
	uint32_t ulNbrOfSequence;
	uint32_t ulNbrMaxSequenceToTransfer;
	float dFrequencySelection;
	uint32_t pulGainArray[8];
	uint32_t ulICPMask;
	uint32_t ulTriggerMask;
	uint32_t ulTriggerMode;
	uint32_t ulHardwareTriggerEdge;
	uint32_t ulHardwareTriggerCount;
	uint32_t ulByTriggerNbrOfSeqToAcquire;
	uint32_t ulDataFormat;
	uint32_t ulCouplingSelectionMask;
	uint32_t ulSeDiffSelectionMask;

	//Initialise variables here

	//Remote function call
	ret = modbus_call_MSXE360X__AnalogInputInitAndStartSequence(modbus,ulChannelMask,ulNbrOfSequence,ulNbrMaxSequenceToTransfer,dFrequencySelection,pulGainArray,ulICPMask,ulTriggerMask,ulTriggerMode,ulHardwareTriggerEdge,ulHardwareTriggerCount,ulByTriggerNbrOfSeqToAcquire,ulDataFormat,ulCouplingSelectionMask,ulSeDiffSelectionMask,&CommandStatus);

	//Return value check
	switch(ret)
	{
		case 0: // OK
			break;
		case -1: // system error
			perror("MSXE360X__AnalogInputInitAndStartSequence");
			return -1;
			break;
		case -2: // MODBUS exception
			switch(modbus->exception)
			{
				case MODBUS_REMOTE_EXECUTION_ERROR: // actually a remote exception error and we get it in CommandStatus
					printf("Remote command returned: %d\n",MODBUS_NTOHL((int) (CommandStatus.ReturnValue)) );
					*(CommandStatus.Errstr+sizeof(CommandStatus.Errstr)-1)='\0';
					printf("Remote errno: %d (%s)\n",(int)MODBUS_NTOHL((int)CommandStatus.Syserrno),CommandStatus.Errstr);
					return -1;
					break;
				default:
					printf("remote system returned a MODBUS exception for command MSXE360X__AnalogInputInitAndStartSequence\n");
					printf("reason: %s (%d)\n",modbus_exception_to_str(modbus->exception),modbus->exception);
					return -1;
					break;
			}
			break;
		case -3: // incorrect response from remote system
			printf("incorrect response from remote system\n");
			return -1;
			break;
		case -4: 
			printf("remote system returned a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed\n");
			return -1;
			break;
		default: 
			printf("unknown return code %d from MSXE360X__AnalogInputInitAndStartSequence()\n",ret);
			return -1;
			break;
	}
	printf("call to MSXE360X__AnalogInputInitAndStartSequence OK\n");
	return 0;
}

*/

int modbus_call_MSXE360X__AnalogInputInitAndStartSequence(struct modbus * modbus,
	uint32_t ulChannelMask,
	uint32_t ulNbrOfSequence,
	uint32_t ulNbrMaxSequenceToTransfer,
	float dFrequencySelection,
	uint32_t pulGainArray[8],
	uint32_t ulICPMask,
	uint32_t ulTriggerMask,
	uint32_t ulTriggerMode,
	uint32_t ulHardwareTriggerEdge,
	uint32_t ulHardwareTriggerCount,
	uint32_t ulByTriggerNbrOfSeqToAcquire,
	uint32_t ulDataFormat,
	uint32_t ulCouplingSelectionMask,
	uint32_t ulSeDiffSelectionMask
, struct GetLastCommandStatus_parameters_t * CommandStatus);

/** <p>Initialize and start the analog input sequence acquisition mode. \n
* Do not call when a sequence is already started. </p>
* <p>A sequence is a list of channels (max 8) that are acquired.</p>
*
* <p><b>Parameters:</b></p>
* <ul>
*	<li>@param[in] <b><VAR>ulChannelMask</VAR></b>:
*		<p>8 bits mask (0->0xFF) which defines channels used for the acquisition (each bit corresponds to one channel) \n
*		<ul>
*			<li>0: not used
*			<li>1: used
*		</ul></p>
*	<li>@param[in] <b><VAR>ulNbrOfSequence</VAR></b>:
*		<p>Number of sequence to acquire \n
*		<ul>
*			<li> 0: Continuous mode
*			<li>>0: Number of sequences (1 -> 4294967295 (0xFFFFFFFF))
*		</ul></p>
*	<li>@param[in] <b><VAR>ulNbrMaxSequenceToTransfer</VAR></b>: Not used, must be 0
*	<li>@param[in] <b><VAR>dFrequencySelection</VAR></b>: Select the frequency of the acquisition:
*		<ul>
*			<li>1000.00 Hz
*			<li>1280.00 Hz
*			<li>1562.50 Hz
*			<li>1600.00 Hz
*			<li>1666.67 Hz
*			<li>12000.00 Hz
*			<li>12500.00 Hz
*			<li>13125.00 Hz
*			<li>13200.00 Hz
*			<li>13333.33 Hz
*			<li>14000.00 Hz
*			<li>15000.00 Hz
*			<li>16250.00 Hz
*			<li>16400.00 Hz
*			<li>16666.67 Hz
*			<li>18000.00 Hz
*			<li>110000.00 Hz
*			<li>112500.00 Hz
*			<li>112800.00 Hz
*			<li>113333.33 Hz
*			<li>116000.00 Hz
*			<li>116666.67 Hz
*			<li>120000.00 Hz
*			<li>125000.00 Hz
*			<li>132000.00 Hz
*			<li>133333.33 Hz
*			<li>140000.00 Hz
*			<li>150000.00 Hz
*			<li>164000.00 Hz
*			<li>166666.67 Hz
*			<li>180000.00 Hz
*			<li>1100000.00 Hz
*			<li>1128000.00 Hz
*		</ul>
*	<li>@param[in] <b><VAR>pulGainArray</VAR></b>:
*		<p>Define the gain (1, 10 or 100) to use for each channel.\n
*		Each index of the array corresponds to the corresponding channel. \n
*		Example:
*		<ul>
*			<li>[0]: Define the gain for the channel 0
*			<li>[1]: Define the gain for the channel 1
*			<li>...
*		</ul></p>
*	<li>@param[in] <b><VAR>ulICPMask</VAR></b>:
*		<p>8 bits mask (0 -> 0xFF) which defines if the ICP is activated or not (each bit correspond to one channel).\n
*		When the ICP is activated, the chanel must be configured with AC and SE.
*		<ul>
*			<li>0: Not activated
*			<li>1: Activated
*		</ul></p>
*	<li>@param[in] <b><VAR>ulTriggerMask</VAR></b>: Define the source of the trigger
*		<ul>
*			<li>0: Trigger disabled
*			<li>1: Enable Hardware Digital Input Trigger
*			<li>2: Enable Synchro Trigger
*			<li>3: Enable both Hardware and Synchro Trigger
*		</ul>
*	<li>@param[in] <b><VAR>ulTriggerMode</VAR></b>: Not used, must be 0
*	<li>@param[in] <b><VAR></VAR>ulHardwareTriggerEdge</b>: Defines the edge of the trigger
*		<ul>
*			<li>1: Hardware Trigger Rising Edge
*			<li>2: Hardware Trigger Falling Edge
*			<li>3: Enable both rising edge and falling edge
*		</ul>
*	<li>@param[in] <b><VAR>ulHardwareTriggerCount</VAR></b>: Defines the number of external trigger ignored before taking account (1 -> 65535)
*	<li>@param[in] <b><VAR>ulByTriggerNbrOfSeqToAcquire</VAR></b>: Not used, must be 0
*	<li>@param[in] <b><VAR>ulDataFormat</VAR></b>: Dataformat of the frame, see remarks and examples for more information:
*		<ul>
*			<li>D0: Absolute time stamp information (2*32 bits data)
*			<ul>
*				<li>0: No time stamp information
*				<li>1: Time stamp information
*			</ul>
*			<li>D1: Not used, must be 0
*			<li>D2: Sequence counter (32 bits data)
*			<ul>
*				<li>0: No sequence counter information required
*				<li>1: Sequence counter information required
*			</ul>
*			<li>D3: Hardware Trigger information (32 bits data)
*			<ul>
*				<li>0: No Hardware Trigger information required
*				<li>1: Hardware Trigger information required
*			</ul>
*		</ul>
*	<li>@param[in] <b><VAR>ulCouplingSelectionMask</VAR></b>: 8 bits mask (0 -> 0xFF) which defines the coupling for each channel (each bit corresponds to one channel)
*		<ul>
*			<li>0: AC
*			<li>1: DC
*		</ul>
*	<li>@param[in] <b><VAR>ulSeDiffSelectionMask</VAR></b>: 8 bits mask (0 -> 0xFF) which defines SE/DIFF mode for each channel (each bit corresponds to one channel)
*		<ul>
*			<li>0: SE
*			<li>1: DIFF
*		</ul>
* </ul>
*
* <p><b>Remarks:</b></p>
* <ul>
* 	<li>data packets depends on the (number of sequence asked) * (sequence size in 32 bits words) * 4
*	<ul>
*		<li><4-8192> bytes, Only one packet of the corresponding size is sent
*		<li>0 (continuous) or > 8192 bytes : packet of 8192 bytes containing the sequences are sent by the MSXE, for the last sequence, the last packet is sent with the rest of the size
*	</ul>
*	<li>The data order is
*	<ul>
*		<li>Timestamp seconds (optional)
*		<li>Timestamp microseconds (optional)
*		<li>Sequence counter (optional)
*		<li>Hardware trigger information (optional)
*		<li>Selected channels in ascending order
*	</ul>
*	<li>Sequence size in bytes: [(timestamp (s) + timestamp (us)) (optional) + sequence counter (optional) + hardware trigger information (optional) + number of channels] * 4
* </ul>
*
* <p><b>Examples:</b></p>
* <ul>
*	<li> 4 channels in continuous mode: packets of 8192 bytes are sent -> 512 sequences of 4 32 bits channels per packet
*	<li> 10 sequences of 4 channels with timestamp and hardware trigger information: 1 packet of 280 bytes is sent by the MSXE -> 10 sequences of : timestamp (2*32 bits word) + sequence counter size (32 bits) + 4 * 32 bits channels)
* </ul>
*
* <p><b>Returns:</b></p>
* <ul>
*	@return <b>Possible return value on the remote system (read them with GetLastCommandStatus):</b>
*	<ul>
*		<li>  0: means the remote function performed OK
*		<li> -1: means an system error occured
*		<li> -2: PLD is not working
*		<li> -3: error, system is in calibration
*		<li> -4: channel action is wrong
*		<li> -5: gain selection error
*		<li> -6: channel coupling selection error
*		<li> -7: SE / Diff selection error
*		<li> -8: ICP selection error
*		<li> -9: ICP can only be used with AC and SE
*		<li>-10: driver is not in idle state
*		<li>-11: PLD is not working
*		<li>-12: error, system is in calibration
*		<li>-13: Frequency selection error
*		<li>-14: driver is not in idle state
*		<li>-19: channel mask can not be null
*		<li>-20: channel mask selection error
*		<li>-21: number of sequence selection error
*		<li>-22: sequence interrupt selection error (must be 0)
*		<li>-23: the ulTriggerMode parameter is wrong (must be 0)
*		<li>-24: the ulHardwareTriggerEdge parameter is wrong
*		<li>-25: the ulHardwareTriggerCount parameter is wrong
*		<li>-26: the ulByTriggerNbrOfSeqToAcquire parameter is wrong (must be 0)
*		<li>-27: the ulDataFormat parameter is wrong
*		<li>-28: the ulTriggerMask parameter is wrong
*		<li>-29: the ulICPMask is wrong (0->0xFF)
*		<li>-30: the ulCouplingSelectionMask is wrong (0->0xFF)
*		<li>-31: the ulSeDiffSelectionMask is wrong (0->0xFF)
*		<li>-40: PLD is not working
*		<li>-41: error, system is in calibration
*		<li>-42: driver status is wrong
*		<li>-100 internal system error occurs see value of syserrno
*	</ul>
* 	<b> <VAR>syserrno :</VAR> </b> system-error code (the value of the libc "errno" code) EPERM means a sequence acquisition was not started
* </ul>
*/
			
/*
@return 0 on success, -1 on system error, -2 on MODBUS exception (the exception code is in modbus->exception), -3 if response from remote system is incorrect, -4 if the remote call generated a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed
*/

/* Below is an example on how this function is intended to be used

int sample_MSXE360X__AnalogInputInitAndStartSequenceEx(struct modbus * modbus)
{

	//variables declaration

	struct GetLastCommandStatus_parameters_t CommandStatus;
	int ret = 0;
	uint32_t ulChannelMask;
	uint32_t ulNbrOfSequence;
	uint32_t ulNbrMaxSequenceToTransfer;
	float dFrequencySelection;
	uint32_t pulGainArray[8];
	uint32_t ulICPMask;
	uint32_t ulTriggerMask;
	uint32_t ulTriggerMode;
	uint32_t ulHardwareTriggerEdge;
	uint32_t ulHardwareTriggerCount;
	uint32_t ulByTriggerNbrOfSeqToAcquire;
	uint32_t ulDataFormat;
	uint32_t ulCouplingSelectionMask;
	uint32_t ulSeDiffSelectionMask;

	//Initialise variables here

	//Remote function call
	ret = modbus_call_MSXE360X__AnalogInputInitAndStartSequenceEx(modbus,ulChannelMask,ulNbrOfSequence,ulNbrMaxSequenceToTransfer,dFrequencySelection,pulGainArray,ulICPMask,ulTriggerMask,ulTriggerMode,ulHardwareTriggerEdge,ulHardwareTriggerCount,ulByTriggerNbrOfSeqToAcquire,ulDataFormat,ulCouplingSelectionMask,ulSeDiffSelectionMask,&CommandStatus);

	//Return value check
	switch(ret)
	{
		case 0: // OK
			break;
		case -1: // system error
			perror("MSXE360X__AnalogInputInitAndStartSequenceEx");
			return -1;
			break;
		case -2: // MODBUS exception
			switch(modbus->exception)
			{
				case MODBUS_REMOTE_EXECUTION_ERROR: // actually a remote exception error and we get it in CommandStatus
					printf("Remote command returned: %d\n",MODBUS_NTOHL((int) (CommandStatus.ReturnValue)) );
					*(CommandStatus.Errstr+sizeof(CommandStatus.Errstr)-1)='\0';
					printf("Remote errno: %d (%s)\n",(int)MODBUS_NTOHL((int)CommandStatus.Syserrno),CommandStatus.Errstr);
					return -1;
					break;
				default:
					printf("remote system returned a MODBUS exception for command MSXE360X__AnalogInputInitAndStartSequenceEx\n");
					printf("reason: %s (%d)\n",modbus_exception_to_str(modbus->exception),modbus->exception);
					return -1;
					break;
			}
			break;
		case -3: // incorrect response from remote system
			printf("incorrect response from remote system\n");
			return -1;
			break;
		case -4: 
			printf("remote system returned a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed\n");
			return -1;
			break;
		default: 
			printf("unknown return code %d from MSXE360X__AnalogInputInitAndStartSequenceEx()\n",ret);
			return -1;
			break;
	}
	printf("call to MSXE360X__AnalogInputInitAndStartSequenceEx OK\n");
	return 0;
}

*/

int modbus_call_MSXE360X__AnalogInputInitAndStartSequenceEx(struct modbus * modbus,
	uint32_t ulChannelMask,
	uint32_t ulNbrOfSequence,
	uint32_t ulNbrMaxSequenceToTransfer,
	float dFrequencySelection,
	uint32_t pulGainArray[8],
	uint32_t ulICPMask,
	uint32_t ulTriggerMask,
	uint32_t ulTriggerMode,
	uint32_t ulHardwareTriggerEdge,
	uint32_t ulHardwareTriggerCount,
	uint32_t ulByTriggerNbrOfSeqToAcquire,
	uint32_t ulDataFormat,
	uint32_t ulCouplingSelectionMask,
	uint32_t ulSeDiffSelectionMask
, struct GetLastCommandStatus_parameters_t * CommandStatus);

/** Stop the analog input sequence acquisition mode. \n
* Must be called before any another call to MSXE360x__AnalogInputInitAndStartSequence.</p>
*
* <p><b>Parameters:</b></p>
* <ul>
* 	<li>@param[in] <b><VAR>Dummy</VAR></b>: Reserved
* </ul>
*
* <p><b>Returns:</b></p>
* <ul>
* 	@return <b>Possible return value on the remote system (read them with GetLastCommandStatus):</b>
* 	<ul>
*		<li>    0: means the remote function performed OK. \n
*		<li>   -1: Means an system error occured. \n
*		<li>   -2: PLD is not working. \n
*		<li>   -3: Error, system is in calibration. \n
*		<li>   -4: Driver status is wrong. \n
*		<li>  -40: PLD is not working. \n
*		<li>  -41: Error, system is in calibration. \n
*		<li>  -42: Driver status is wrong. \n
*		<li> -100: Stop sequence kernel function error. \n
*		<li> -101: Release sequence kernel function error. \n
* 	</ul>
* 	<b> <VAR>syserrno :</VAR> </b> system-error code (the value of the libc "errno" code) EPERM means a sequence acquisition was not started
* </ul>
*/
			
/*
@return 0 on success, -1 on system error, -2 on MODBUS exception (the exception code is in modbus->exception), -3 if response from remote system is incorrect, -4 if the remote call generated a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed
*/

/* Below is an example on how this function is intended to be used

int sample_MSXE360X__AnalogInputStopSequence(struct modbus * modbus)
{

	//variables declaration

	struct GetLastCommandStatus_parameters_t CommandStatus;
	int ret = 0;
	uint32_t Dummy;

	//Initialise variables here

	//Remote function call
	ret = modbus_call_MSXE360X__AnalogInputStopSequence(modbus,Dummy,&CommandStatus);

	//Return value check
	switch(ret)
	{
		case 0: // OK
			break;
		case -1: // system error
			perror("MSXE360X__AnalogInputStopSequence");
			return -1;
			break;
		case -2: // MODBUS exception
			switch(modbus->exception)
			{
				case MODBUS_REMOTE_EXECUTION_ERROR: // actually a remote exception error and we get it in CommandStatus
					printf("Remote command returned: %d\n",MODBUS_NTOHL((int) (CommandStatus.ReturnValue)) );
					*(CommandStatus.Errstr+sizeof(CommandStatus.Errstr)-1)='\0';
					printf("Remote errno: %d (%s)\n",(int)MODBUS_NTOHL((int)CommandStatus.Syserrno),CommandStatus.Errstr);
					return -1;
					break;
				default:
					printf("remote system returned a MODBUS exception for command MSXE360X__AnalogInputStopSequence\n");
					printf("reason: %s (%d)\n",modbus_exception_to_str(modbus->exception),modbus->exception);
					return -1;
					break;
			}
			break;
		case -3: // incorrect response from remote system
			printf("incorrect response from remote system\n");
			return -1;
			break;
		case -4: 
			printf("remote system returned a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed\n");
			return -1;
			break;
		default: 
			printf("unknown return code %d from MSXE360X__AnalogInputStopSequence()\n",ret);
			return -1;
			break;
	}
	printf("call to MSXE360X__AnalogInputStopSequence OK\n");
	return 0;
}

*/

int modbus_call_MSXE360X__AnalogInputStopSequence(struct modbus * modbus,
	uint32_t Dummy
, struct GetLastCommandStatus_parameters_t * CommandStatus);

/** Stop the analog input sequence acquisition mode. \n
* Must be called before any another call to MSXE360x__AnalogInputInitAndStartSequence.</p>
*
* <p><b>Parameters:</b></p>
* <ul>
* 	<li>@param[in] <b><VAR>Dummy</VAR></b>: Reserved
* </ul>
*
* <p><b>Returns:</b></p>
* <ul>
* 	@return <b>Possible return value on the remote system (read them with GetLastCommandStatus):</b>
* 	<ul>
*		<li>    0: means the remote function performed OK. \n
*		<li>   -1: Means an system error occured. \n
*		<li>   -2: PLD is not working. \n
*		<li>   -3: Error, system is in calibration. \n
*		<li>   -4: Driver status is wrong. \n
*		<li>  -40: PLD is not working. \n
*		<li>  -41: Error, system is in calibration. \n
*		<li>  -42: Driver status is wrong. \n
*		<li> -100: Stop sequence kernel function error. \n
*		<li> -101: Release sequence kernel function error. \n
* 	</ul>
* 	<b> <VAR>syserrno :</VAR> </b> system-error code (the value of the libc "errno" code) EPERM means a sequence acquisition was not started
* </ul>
*/
			
/*
@return 0 on success, -1 on system error, -2 on MODBUS exception (the exception code is in modbus->exception), -3 if response from remote system is incorrect, -4 if the remote call generated a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed
*/

/* Below is an example on how this function is intended to be used

int sample_MSXE360X__AnalogInputStopSequenceEx(struct modbus * modbus)
{

	//variables declaration

	struct GetLastCommandStatus_parameters_t CommandStatus;
	int ret = 0;
	uint32_t Dummy;

	//Initialise variables here

	//Remote function call
	ret = modbus_call_MSXE360X__AnalogInputStopSequenceEx(modbus,Dummy,&CommandStatus);

	//Return value check
	switch(ret)
	{
		case 0: // OK
			break;
		case -1: // system error
			perror("MSXE360X__AnalogInputStopSequenceEx");
			return -1;
			break;
		case -2: // MODBUS exception
			switch(modbus->exception)
			{
				case MODBUS_REMOTE_EXECUTION_ERROR: // actually a remote exception error and we get it in CommandStatus
					printf("Remote command returned: %d\n",MODBUS_NTOHL((int) (CommandStatus.ReturnValue)) );
					*(CommandStatus.Errstr+sizeof(CommandStatus.Errstr)-1)='\0';
					printf("Remote errno: %d (%s)\n",(int)MODBUS_NTOHL((int)CommandStatus.Syserrno),CommandStatus.Errstr);
					return -1;
					break;
				default:
					printf("remote system returned a MODBUS exception for command MSXE360X__AnalogInputStopSequenceEx\n");
					printf("reason: %s (%d)\n",modbus_exception_to_str(modbus->exception),modbus->exception);
					return -1;
					break;
			}
			break;
		case -3: // incorrect response from remote system
			printf("incorrect response from remote system\n");
			return -1;
			break;
		case -4: 
			printf("remote system returned a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed\n");
			return -1;
			break;
		default: 
			printf("unknown return code %d from MSXE360X__AnalogInputStopSequenceEx()\n",ret);
			return -1;
			break;
	}
	printf("call to MSXE360X__AnalogInputStopSequenceEx OK\n");
	return 0;
}

*/

int modbus_call_MSXE360X__AnalogInputStopSequenceEx(struct modbus * modbus,
	uint32_t Dummy
, struct GetLastCommandStatus_parameters_t * CommandStatus);

/** <p>Release the analog input sequence acquisition mode. \n
* Sequence has to be stopped before released. \n
* Must be called before any another call to MSXE360x__AnalogInputInitAndStartSequence.</p>
*
* <p><b>Parameters:</b></p>
* <ul>
* 	<li>@param[in] <b><VAR>Dummy</VAR></b>: Reserved
* </ul>
*
* <p><b>Returns:</b></p>
* <ul>
* 	@return <b>Possible return value on the remote system (read them with GetLastCommandStatus):</b>
* 	<ul>
*		<li>    0: means the remote function performed OK. \n
*		<li>   -1: Means an system error occured. \n
*		<li>   -2: PLD is not working. \n
*		<li>   -3: Error, system is in calibration. \n
*		<li>   -4: Driver status is wrong. \n
*		<li>  -40: PLD is not working. \n
*		<li>  -41: Error, system is in calibration. \n
*		<li>  -42: Driver status is wrong. \n
*		<li> -100: Stop sequence kernel function error. \n
*		<li> -101: Release sequence kernel function error. \n
* 	</ul>
* 	<b> <VAR>syserrno :</VAR> </b> system-error code (the value of the libc "errno" code) EPERM means a sequence acquisition was not started
* </ul>
*/
			
/*
@return 0 on success, -1 on system error, -2 on MODBUS exception (the exception code is in modbus->exception), -3 if response from remote system is incorrect, -4 if the remote call generated a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed
*/

/* Below is an example on how this function is intended to be used

int sample_MSXE360X__AnalogInputReleaseSequence(struct modbus * modbus)
{

	//variables declaration

	struct GetLastCommandStatus_parameters_t CommandStatus;
	int ret = 0;
	uint32_t Dummy;

	//Initialise variables here

	//Remote function call
	ret = modbus_call_MSXE360X__AnalogInputReleaseSequence(modbus,Dummy,&CommandStatus);

	//Return value check
	switch(ret)
	{
		case 0: // OK
			break;
		case -1: // system error
			perror("MSXE360X__AnalogInputReleaseSequence");
			return -1;
			break;
		case -2: // MODBUS exception
			switch(modbus->exception)
			{
				case MODBUS_REMOTE_EXECUTION_ERROR: // actually a remote exception error and we get it in CommandStatus
					printf("Remote command returned: %d\n",MODBUS_NTOHL((int) (CommandStatus.ReturnValue)) );
					*(CommandStatus.Errstr+sizeof(CommandStatus.Errstr)-1)='\0';
					printf("Remote errno: %d (%s)\n",(int)MODBUS_NTOHL((int)CommandStatus.Syserrno),CommandStatus.Errstr);
					return -1;
					break;
				default:
					printf("remote system returned a MODBUS exception for command MSXE360X__AnalogInputReleaseSequence\n");
					printf("reason: %s (%d)\n",modbus_exception_to_str(modbus->exception),modbus->exception);
					return -1;
					break;
			}
			break;
		case -3: // incorrect response from remote system
			printf("incorrect response from remote system\n");
			return -1;
			break;
		case -4: 
			printf("remote system returned a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed\n");
			return -1;
			break;
		default: 
			printf("unknown return code %d from MSXE360X__AnalogInputReleaseSequence()\n",ret);
			return -1;
			break;
	}
	printf("call to MSXE360X__AnalogInputReleaseSequence OK\n");
	return 0;
}

*/

int modbus_call_MSXE360X__AnalogInputReleaseSequence(struct modbus * modbus,
	uint32_t Dummy
, struct GetLastCommandStatus_parameters_t * CommandStatus);

/** <p>Release the analog input sequence acquisition mode. \n
* Sequence has to be stopped before released. \n
* Must be called before any another call to MSXE360x__AnalogInputInitAndStartSequence.</p>
*
* <p><b>Parameters:</b></p>
* <ul>
* 	<li>@param[in] <b><VAR>Dummy</VAR></b>: Reserved
* </ul>
*
* <p><b>Returns:</b></p>
* <ul>
* 	@return <b>Possible return value on the remote system (read them with GetLastCommandStatus):</b>
* 	<ul>
*		<li>    0: means the remote function performed OK. \n
*		<li>   -1: Means an system error occured. \n
*		<li>   -2: PLD is not working. \n
*		<li>   -3: Error, system is in calibration. \n
*		<li>   -4: Driver status is wrong. \n
*		<li>  -40: PLD is not working. \n
*		<li>  -41: Error, system is in calibration. \n
*		<li>  -42: Driver status is wrong. \n
*		<li> -100: Stop sequence kernel function error. \n
*		<li> -101: Release sequence kernel function error. \n
* 	</ul>
* 	<b> <VAR>syserrno :</VAR> </b> system-error code (the value of the libc "errno" code) EPERM means a sequence acquisition was not started
* </ul>
*/
			
/*
@return 0 on success, -1 on system error, -2 on MODBUS exception (the exception code is in modbus->exception), -3 if response from remote system is incorrect, -4 if the remote call generated a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed
*/

/* Below is an example on how this function is intended to be used

int sample_MSXE360X__AnalogInputReleaseSequenceEx(struct modbus * modbus)
{

	//variables declaration

	struct GetLastCommandStatus_parameters_t CommandStatus;
	int ret = 0;
	uint32_t Dummy;

	//Initialise variables here

	//Remote function call
	ret = modbus_call_MSXE360X__AnalogInputReleaseSequenceEx(modbus,Dummy,&CommandStatus);

	//Return value check
	switch(ret)
	{
		case 0: // OK
			break;
		case -1: // system error
			perror("MSXE360X__AnalogInputReleaseSequenceEx");
			return -1;
			break;
		case -2: // MODBUS exception
			switch(modbus->exception)
			{
				case MODBUS_REMOTE_EXECUTION_ERROR: // actually a remote exception error and we get it in CommandStatus
					printf("Remote command returned: %d\n",MODBUS_NTOHL((int) (CommandStatus.ReturnValue)) );
					*(CommandStatus.Errstr+sizeof(CommandStatus.Errstr)-1)='\0';
					printf("Remote errno: %d (%s)\n",(int)MODBUS_NTOHL((int)CommandStatus.Syserrno),CommandStatus.Errstr);
					return -1;
					break;
				default:
					printf("remote system returned a MODBUS exception for command MSXE360X__AnalogInputReleaseSequenceEx\n");
					printf("reason: %s (%d)\n",modbus_exception_to_str(modbus->exception),modbus->exception);
					return -1;
					break;
			}
			break;
		case -3: // incorrect response from remote system
			printf("incorrect response from remote system\n");
			return -1;
			break;
		case -4: 
			printf("remote system returned a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed\n");
			return -1;
			break;
		default: 
			printf("unknown return code %d from MSXE360X__AnalogInputReleaseSequenceEx()\n",ret);
			return -1;
			break;
	}
	printf("call to MSXE360X__AnalogInputReleaseSequenceEx OK\n");
	return 0;
}

*/

int modbus_call_MSXE360X__AnalogInputReleaseSequenceEx(struct modbus * modbus,
	uint32_t Dummy
, struct GetLastCommandStatus_parameters_t * CommandStatus);

/** <p>Stop and release the analog input sequence acquisition mode. \n
* Must be called before any another call to MSXE360x__AnalogInputInitAndStartSequence.</p>
*
* <p><b>Parameters:</b></p>
* <ul>
* 	<li>@param[in] <b><VAR>Dummy</VAR></b>: Reserved
* </ul>
*
* <p><b>Returns:</b></p>
* <ul>
* 	@return <b>Possible return value on the remote system (read them with GetLastCommandStatus):</b>
* 	<ul>
*		<li>    0: means the remote function performed OK. \n
*		<li>   -1: Means an system error occured. \n
*		<li>   -2: PLD is not working. \n
*		<li>   -3: Error, system is in calibration. \n
*		<li>   -4: Driver status is wrong. \n
*		<li>  -40: PLD is not working. \n
*		<li>  -41: Error, system is in calibration. \n
*		<li>  -42: Driver status is wrong. \n
*		<li> -100: Stop sequence kernel function error. \n
*		<li> -101: Release sequence kernel function error. \n
* 	</ul>
* 	<b> <VAR>syserrno :</VAR> </b> system-error code (the value of the libc "errno" code) EPERM means a sequence acquisition was not started
* </ul>
*/
			
/*
@return 0 on success, -1 on system error, -2 on MODBUS exception (the exception code is in modbus->exception), -3 if response from remote system is incorrect, -4 if the remote call generated a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed
*/

/* Below is an example on how this function is intended to be used

int sample_MSXE360X__AnalogInputStopAndReleaseSequence(struct modbus * modbus)
{

	//variables declaration

	struct GetLastCommandStatus_parameters_t CommandStatus;
	int ret = 0;
	uint32_t Dummy;

	//Initialise variables here

	//Remote function call
	ret = modbus_call_MSXE360X__AnalogInputStopAndReleaseSequence(modbus,Dummy,&CommandStatus);

	//Return value check
	switch(ret)
	{
		case 0: // OK
			break;
		case -1: // system error
			perror("MSXE360X__AnalogInputStopAndReleaseSequence");
			return -1;
			break;
		case -2: // MODBUS exception
			switch(modbus->exception)
			{
				case MODBUS_REMOTE_EXECUTION_ERROR: // actually a remote exception error and we get it in CommandStatus
					printf("Remote command returned: %d\n",MODBUS_NTOHL((int) (CommandStatus.ReturnValue)) );
					*(CommandStatus.Errstr+sizeof(CommandStatus.Errstr)-1)='\0';
					printf("Remote errno: %d (%s)\n",(int)MODBUS_NTOHL((int)CommandStatus.Syserrno),CommandStatus.Errstr);
					return -1;
					break;
				default:
					printf("remote system returned a MODBUS exception for command MSXE360X__AnalogInputStopAndReleaseSequence\n");
					printf("reason: %s (%d)\n",modbus_exception_to_str(modbus->exception),modbus->exception);
					return -1;
					break;
			}
			break;
		case -3: // incorrect response from remote system
			printf("incorrect response from remote system\n");
			return -1;
			break;
		case -4: 
			printf("remote system returned a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed\n");
			return -1;
			break;
		default: 
			printf("unknown return code %d from MSXE360X__AnalogInputStopAndReleaseSequence()\n",ret);
			return -1;
			break;
	}
	printf("call to MSXE360X__AnalogInputStopAndReleaseSequence OK\n");
	return 0;
}

*/

int modbus_call_MSXE360X__AnalogInputStopAndReleaseSequence(struct modbus * modbus,
	uint32_t Dummy
, struct GetLastCommandStatus_parameters_t * CommandStatus);

/** <p>Stop and release the analog input sequence acquisition mode. \n
* Must be called before any another call to MSXE360x__AnalogInputInitAndStartSequence.</p>
*
* <p><b>Parameters:</b></p>
* <ul>
* 	<li>@param[in] <b><VAR>Dummy</VAR></b>: Reserved
* </ul>
*
* <p><b>Returns:</b></p>
* <ul>
* 	@return <b>Possible return value on the remote system (read them with GetLastCommandStatus):</b>
* 	<ul>
*		<li>    0: means the remote function performed OK. \n
*		<li>   -1: Means an system error occured. \n
*		<li>   -2: PLD is not working. \n
*		<li>   -3: Error, system is in calibration. \n
*		<li>   -4: Driver status is wrong. \n
*		<li>  -40: PLD is not working. \n
*		<li>  -41: Error, system is in calibration. \n
*		<li>  -42: Driver status is wrong. \n
*		<li> -100: Stop sequence kernel function error. \n
*		<li> -101: Release sequence kernel function error. \n
* 	</ul>
* 	<b> <VAR>syserrno :</VAR> </b> system-error code (the value of the libc "errno" code) EPERM means a sequence acquisition was not started
* </ul>
*/
			
/*
@return 0 on success, -1 on system error, -2 on MODBUS exception (the exception code is in modbus->exception), -3 if response from remote system is incorrect, -4 if the remote call generated a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed
*/

/* Below is an example on how this function is intended to be used

int sample_MSXE360X__AnalogInputStopAndReleaseSequenceEx(struct modbus * modbus)
{

	//variables declaration

	struct GetLastCommandStatus_parameters_t CommandStatus;
	int ret = 0;
	uint32_t Dummy;

	//Initialise variables here

	//Remote function call
	ret = modbus_call_MSXE360X__AnalogInputStopAndReleaseSequenceEx(modbus,Dummy,&CommandStatus);

	//Return value check
	switch(ret)
	{
		case 0: // OK
			break;
		case -1: // system error
			perror("MSXE360X__AnalogInputStopAndReleaseSequenceEx");
			return -1;
			break;
		case -2: // MODBUS exception
			switch(modbus->exception)
			{
				case MODBUS_REMOTE_EXECUTION_ERROR: // actually a remote exception error and we get it in CommandStatus
					printf("Remote command returned: %d\n",MODBUS_NTOHL((int) (CommandStatus.ReturnValue)) );
					*(CommandStatus.Errstr+sizeof(CommandStatus.Errstr)-1)='\0';
					printf("Remote errno: %d (%s)\n",(int)MODBUS_NTOHL((int)CommandStatus.Syserrno),CommandStatus.Errstr);
					return -1;
					break;
				default:
					printf("remote system returned a MODBUS exception for command MSXE360X__AnalogInputStopAndReleaseSequenceEx\n");
					printf("reason: %s (%d)\n",modbus_exception_to_str(modbus->exception),modbus->exception);
					return -1;
					break;
			}
			break;
		case -3: // incorrect response from remote system
			printf("incorrect response from remote system\n");
			return -1;
			break;
		case -4: 
			printf("remote system returned a MODBUS_REMOTE_EXECUTION_ERROR exception but call to GetLastCommandStatus() failed\n");
			return -1;
			break;
		default: 
			printf("unknown return code %d from MSXE360X__AnalogInputStopAndReleaseSequenceEx()\n",ret);
			return -1;
			break;
	}
	printf("call to MSXE360X__AnalogInputStopAndReleaseSequenceEx OK\n");
	return 0;
}

*/

int modbus_call_MSXE360X__AnalogInputStopAndReleaseSequenceEx(struct modbus * modbus,
	uint32_t Dummy
, struct GetLastCommandStatus_parameters_t * CommandStatus);

#endif //_MODBUS_MSXE360X_CLIENT_DEFINITION_H_


